show_ajax_message = (msg, type) ->
  $("#flash").html "<div class='alert alert-#{type}'><a class='close' data-dismiss='alert'>&#215;</a><div id='flash_#{type}'>#{msg}</div></div>"
  $("#flash").css("display", "block")
  $("#flash")
    .delay(2000)
    .animate {
      'top': "-=80px"
    }, 500, ->
      $("#flash").css("display", "none")
      $("#flash").css("top", "0")
 
$(document).ajaxComplete (event, request) ->
  msg = request.getResponseHeader("X-Message")
  type = request.getResponseHeader("X-Message-Type")
  show_ajax_message msg, type if msg?