/*!
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

$(document).on('click', '#indexed-data-graph #last-month-button', function(e){
  e.preventDefault();
  // Return if loading
  if($(this).hasClass('loading')){
    return;
  }
  // This graph is initialized in indexed_data.html.erb
  if($(this).hasClass('btn-success')){
    indexedDataGraph.hide('Previous Month');
    perDayDataGraph.hide('Previous Month');
    $(this).removeClass('btn-success').addClass('btn-secondary');
  } else {
    indexedDataGraph.unhide('Previous Month');
    perDayDataGraph.unhide('Previous Month');
    $(this).removeClass('btn-secondary').addClass('btn-success');
  }
});
