/*!
 * Copyright (c) 2024 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

$(document).on('click', '#model_sources tr.model_source input.toggle_enable', function(e) {
  var model_source_id = $(this).parents('tr').data('model-source-id');
  if ($(this).is(':checked')) {
    $.ajax({
      url: "/model_sources/"+ model_source_id,
      type: "PATCH",
      dataType: "json",
      data: {model_source: {enable: 1},
             authenticity_token: csrf}
    });
  } else {
    $.ajax({
      url: "/model_sources/"+ model_source_id,
      type: "PATCH",
      dataType: "json",
      data: {model_source: {enable: 0},
             authenticity_token: csrf}
    });
  };
});