/*!
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Show help in UI
 */

/*
 * Listener to create a modal with some info. The info is attached into
 * data attributes.
 *
 * data-title : title of the modal
 * data-text : text for help
 */
$(document).on('click', '*[data-help="modal"]', function(e){
  // Create the structure
  var $el = $(this),
      text = $(this).data('help-text'),
      title = $(this).data('help-title');

  e.preventDefault();
  redBorder.modals.showModalWith(
    title,
    text,
    redBorder.modals.dismissButton(I18n.t('javascript.back')),
    '#default_modal'
  );
});
