redBorder.widgets.graphs.alarm = function (container, widget) {
  var $container = $('#' + container);

  // Entry point for the graph
  function init(wtype) {
  }

  function render(){
    getData();
  }

  function getData(){
    $.ajax({
      url: '/alarms',
      type: 'GET',
      dataType: 'html'
    }).done(function (datos) {
      $container.html(datos);
      $('td.last, th.last, td[data-label="Enabled"], th.fit-width.row-center, .navbar', $container).remove();
    }).always(function(){
      redBorder.widgets.util.reloadDone($container.parents('.widget'));
    });
  }

  function resize() { }

  function reload() {
    getData();
  }

  // Hide the main element when resizing
  function hide() {
    $('article', $container).hide();
  }

  // Show the main element
  function show() {
    $('article', $container).show();
  }

  // Returns the graph object for debug purposes
  function getGraph() {
    return undefined;
  }

  // Returns the widget
  function getWidget() {
    return widget;
  }

  return {
    init: init,
    resize: resize,
    getGraph: getGraph,
    getWidget: getWidget,
    hide: hide,
    show: show,
    reload: reload,
    render: render
  }
}