redBorder.widgets.graphs.square = function (container, widget) {
  var $container = $('#' + container);

  function init(wtype) {
  }

  function render(){
    redBorder.widgets.util.reloadDone($container.parents('.widget'));
  }

  function resize() {
    var height = (widget.name.length !== 0) ? 43 : 0;
    $container.css('height', ($container.parents('.widget').height() - height) + 'px');
  }

  function getGraph() {
    return undefined;
  }

  function getWidget() {
    return widget;
  }

  function hide() {
    $container.css('opacity', 0);
  }

  function show() {
    $container.css('opacity', 1);
  }

  function reload() {
    redBorder.widgets.util.reloadDone($container.parents('.widget'));
  }

  return {
    init: init,
    resize: resize,
    getGraph: getGraph,
    getWidget: getWidget,
    hide: hide,
    show: show,
    reload: reload,
    render: render
  }
}