redBorder.widgets.types.heatmap = function (widget, data) {
  var product_type = widget.property.product_type;

  function queryList(opts) {
    if(data === undefined || data.list === undefined){
      return redBorder.widgets.util.query({
        widget: widget,
        url: '/' + product_type + '/tops/get_tops/client_latlong',
        typeOpts: {
          aggregation: widget.property.aggregation,
          granularity: 'all',
          limit: widget.property.limit
        },
        graphOpts: opts
      }).then(function (data) {
        var time = widget.wtype.end_time_secs - widget.wtype.start_time_secs;
        // return redBorder.widgets.util.checkPerSecondAggregationTops(data, widget.property.aggregation, time);
        return data;
      });
    } else {
      var time = widget.wtype.end_time_secs - widget.wtype.start_time_secs;
      // return $.Deferred().resolve(redBorder.widgets.util.checkPerSecondAggregationTops(data.list, widget.property.aggregation, time));
      return $.Deferred().resolve(data.list);
    }
  }

  return {
    queryList: queryList
  }
}
