redBorder.widgets.types.map = function (widget, data) {
  var product_type = widget.property.product_type,
      column = widget.property.column;

  function queryList(opts) {
    if(data === undefined || data.list === undefined){
      return redBorder.widgets.util.query({
        widget: widget,
        url: '/' + product_type + '/get_maps_data/' + column,
        typeOpts: {
          aggregation: widget.property.aggregation,
          granularity: 'all'
        },
        graphOpts: opts
      });
    } else {
      return $.Deferred().resolve(data.list);
    }
  }

  return {
    queryList: queryList
  }
}