/*!
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

redBorder.utils.colors = {
  client_rssi: {
    unknown: '#ababab',
    bad: '#ff4643',
    average: '#d9c03e',
    good: '#55AD55'
  },
  influence: {
    critical: '#ff4643',
    "very high": '#d24643',
    high: '#aa4643',
    medium: '#d9c03e',
    low: '#89a54e',
    "very low": '#30BF93',
    unknown: '#919191',
    clean: '#5eca5e',
    "extremly high": '#ff4643'
  },
  action: {
    drop: '#FF0000',
    sdrop: '#FF0000',
    pass: '#00FF00',
    alert: '#ffab2e',
  }
}
