#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

#
# => Base graph to show a simple header text
#
class WidgetGraph::Text < WidgetGraph::Base
  # ================================================================
  # GRAPH FIELDS AND PROPERTIES
  # ================================================================

  ALIGNMENT = {
    left: 1,
    center: 2,
    right: 3,
    justify: 4
  }

  widget_fields [:text_alignment, :font_size]

  widget_after_initialize do
    self.text_alignment ||= WidgetGraph::Text::ALIGNMENT[:left]
    self.font_size      ||= '24px'
  end
end
