#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

# Be sure to restart your server when you modify this file.
 memcached_config = YAML.load_file(Rails.root.join('config/memcached_config.yml'))

 if memcached_config["#{Rails.env}"] && memcached_config["#{Rails.env}"]['servers']
   RedBorder::Application.config.session_store ActionDispatch::Session::CacheStore,
                                               expire_after: 3.days,
                                               secure: Rails.env.production?
 else
   RedBorder::Application.config.session_store :cookie_store,
                                               secure: Rails.env.production?
end
