#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class AddColumnsToUsers < ActiveRecord::Migration
  def change
    add_column :users, :accept_notes, :integer, :default => 1
    add_column :users, :per_page_count, :integer, :default => 25
    add_column :users, :gravatar, :boolean, :default => false
    add_column :users, :favorites_count, :integer, :default => 0
    add_column :users, :notes_count, :integer, :default => 0
    add_column :users, :authentication_token, :string
    add_column :users, :time_machine_now, :integer
  end
end
