#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateSensors < ActiveRecord::Migration
  def change
    create_table :sensors do |t|
    	t.string :name
      t.integer :parent_id
      t.string :ip
      t.string :latitude
      t.string :longitude
      t.boolean :is_deleted, default: false
      t.timestamp :applied_at
      t.integer :type
      t.integer :real_parent_id
      t.integer :group_id
      t.integer :binding_id
      t.boolean :need_apply, default: false

      t.timestamps
    end
    add_index :sensors, :parent_id
  end
end