#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateRedborderObjects < ActiveRecord::Migration
  def change
    create_table :redborder_objects do |t|
      t.string :name
      t.string :value
      t.text :comment
      t.boolean :protected
      t.references :sensor
      t.boolean :is_group, :default => false
      t.integer :parent_id
      t.string :type

      t.timestamps
    end
    add_index :redborder_objects, :parent_id
  end
end
