#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class DeleteOldPermissions < ActiveRecord::Migration
  # We must delete old permissions
  def up
    # Change permissions for all users
    User.all.each do |user|
      next if user.sensor == Sensor.root
      user.update(admin: false)
    end

    # Drop permissions table
    drop_table(:permissions) if table_exists? :permissions
  end

  def down
  end
end
