###############################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
###############################################################################

class CreateCustomTabs < ActiveRecord::Migration
  def change
    if !table_exists? :custom_tabs
      create_table :custom_tabs do |t|
        t.string :name
        t.boolean :enabled, default: false
        t.boolean :percentage, default: false
        t.string :category
        t.string :units
        t.timestamps
      end
    end
  end
end
