#######################################################################
# Copyright (c) 2024 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateIncidentUsers < ActiveRecord::Migration
  def change
    create_table :incident_users do |t|
      t.integer :incident_id, index: true, foreign_key: true
      t.integer :user_id, index: true, foreign_key: true
     
      t.timestamps  
    end

    add_index :incident_users, [:incident_id, :user_id], unique: true
  end
end