class CreateIncidentLinks < ActiveRecord::Migration[5.0]
  def change
    create_table :incident_links do |t|
      t.references :incident, foreign_key: { to_table: :incidents }
      t.references :linked_incident, foreign_key: { to_table: :incidents }

      t.timestamps
    end

    add_index :incident_links, [:incident_id, :linked_incident_id], unique: true
  end
end