class CreatePlaybookAssignmentRules < ActiveRecord::Migration[5.0]
  def change
    create_table :playbook_assignment_rules do |t|
      t.string :name, null: false
      t.text :description
      t.string :condition_type
      t.integer :priority
      t.boolean :enabled, default: true, null: false

      t.references :user, null: false, foreign_key: { on_delete: :cascade }
      t.references :playbook_templates, null: true, foreign_key: { on_delete: :nullify }

      t.timestamps
    end
  end
end
