class AddIsExternalToReports < ActiveRecord::Migration[5.0]
  def change
    add_column :reports, :is_external, :boolean, default: false, null: false

    # Update all exisitng reports with is_external = false
    reversible do |dir|
      dir.up do
        Report.update_all(is_external: false)
      end
    end
  end
end
