#
# Array of service objects.
# The objects are composed of name, value and comment.
#

services = [
  ['unknown', '0', ''],
  ['rtmp', '1', 'Routing Table Maintenance Protocol'],
  ['compressnet', '2', 'Management Utility'],
  ['compressnet', '3', 'Compression Process'],
  ['echo', '4', 'AppleTalk Echo Protocol'],
  ['rje', '5', 'Remote Job Entry'],
  ['zip', '6', 'Zone Information Protocol'],
  ['echo', '7', 'Echo dubbuging and measurement tool'],
  ['discard', '9', 'Discard'],
  ['systat', '11', 'Active Users'],
  ['daytime', '13', 'Daytime (RFC 867)'],
  ['qotd', '17', 'Quote of the Day'],
  ['msp', '18', 'Message Send Protocol'],
  ['chargen', '19', 'Character Generator'],
  ['ftp-data', '20', 'File Transfer [Default Data]'],
  ['ftp', '21', 'File Transfer Protocol'],
  ['ssh', '22', 'Secure Shell Protocol'],
  ['telnet', '23', 'Telnet'],
  ['smtp', '25', 'Simple Mail Transfer Protocol'],
  ['nsw-fe', '27', 'NSW User System FE'],
  ['msg-icp', '29', 'msg-icp'],
  ['msg-auth', '31', 'msg-auth'],
  ['dsp', '33', 'Display Support Protocol'],
  ['time', '37', 'Time'],
  ['rap', '38', 'Route Access Protocol'],
  ['rlp', '39', 'Resource Location Protocol'],
  ['graphics', '41', 'Graphics'],
  ['name', '42', 'Host Name Server'],
  ['nicname', '43', 'Who Is'],
  ['mpm-flags', '44', 'MPM FLAGS Protocol'],
  ['mpm', '45', 'Message Processing Module'],
  ['mpm-snd', '46', 'MPM [default send]'],
  ['ni-ftp', '47', 'NI FTP'],
  ['auditd', '48', 'Digital Audit daemon'],
  ['tacacs', '49', 'Login Host Protocol'],
  ['re-mail-ck', '50', 'Remote Mail Checking Protocol'],
  ['la-maint', '51', 'IMP Logical Address Maintenance'],
  ['xns-time', '52', 'XNS Time Protocol'],
  ['dns', '53', 'Domain Name Server lookup'],
  ['xns-ch', '54', 'XNS Clearinghouse'],
  ['isi-gl', '55', 'ISI Graphics Language'],
  ['xns-auth', '56', 'XNS Authentication'],
  ['mtp', '57', 'deprecated'],
  ['xns-mail', '58', 'XNS mail'],
  ['ni-mail', '61', 'NI MAIL'],
  ['acas', '62', 'ACA Services'],
  ['whois', '63', 'whois++ Service'],
  ['covia', '64', 'Communications Integrator'],
  ['tacacs-ds', '65', 'TACACS-Database Service'],
  ['oracle-sqlnet', '66', 'SQL*NET for Oracle'],
  ['bootps', '67', 'dhcps #Bootstrap Protocol Server'],
  ['bootpc', '68', 'dhcpc #Bootstrap Protocol Client'],
  ['tftp', '69', 'Trivial File Transfer Protocol'],
  ['gopher', '70', ''],
  ['netrjs-1', '71', 'Remote Job Service'],
  ['netrjs-2', '72', 'Remote Job Service'],
  ['netrjs-3', '73', 'Remote Job Service'],
  ['netrjs-4', '74', 'Remote Job Service'],
  ['deos', '76', 'Distributed External Object Store'],
  ['netrjs', '77', ''],
  ['vettcp', '78', ''],
  ['finger', '79', 'Finger'],
  ['http', '80', 'World Wide Web traffic'],
  ['hosts2-ns', '81', 'HOSTS2 Name Server'],
  ['xfer', '82', 'XFER Utility'],
  ['mit-ml-dev', '83', 'MIT ML Device'],
  ['ctf', '84', 'Common Trace Facility'],
  ['mit-ml-dev', '85', 'MIT ML Device'],
  ['mfcobol', '86', 'Micro Focus Cobol'],
  ['ttylink', '87', ''],
  ['kerberos', '88', 'Kerberos Authentication Protocol'],
  ['su-mit-tg', '89', 'SU/MIT Telnet Gateway'],
  ['dnsix', '90', 'DNSIX Securit Attribute Token Map'],
  ['mit-dov', '91', 'MIT Dover Spooler'],
  ['npp', '92', 'Network Printing Protocol'],
  ['dcp', '93', 'Device Control Protocol'],
  ['objcall', '94', 'Tivoli Object Dispatcher'],
  ['supdup', '95', 'SUPDUP'],
  ['dixie', '96', 'DIXIE Protocol Specification'],
  ['swift-rvf', '97', 'Swift Remote Virtural File Protocol'],
  ['tacnews', '98', 'TAC News'],
  ['metagram', '99', 'metagram'],
  ['newacct', '100', '[unauthorized use]'],
  ['hostname', '101', 'NIC Host Name Server'],
  ['iso-tsap', '102', 'ISO-TSAP Class 0'],
  ['gppitnp', '103', 'Genesis Point-to-Point Trans Net'],
  ['acr-nema', '104', 'ACR-NEMA Digital Img'],
  ['csnet-ns', '105', 'Mailbox Name Nameserver'],
  ['3com-tsmux', '106', '3Com TSMUX'],
  ['rtelnet', '107', 'Remote Telnet Service'],
  ['snagas', '108', 'SNA Gateway Access Server'],
  ['pop2', '109', 'Post Office Protocol - Version 2'],
  ['pop3', '110', 'Post Office Protocol 3'],
  ['sunrpc', '111', 'SUN Remote Procedure Call'],
  ['mcidas', '112', 'McIDAS Data Transmission Protocol'],
  ['auth', '113', 'Authentication Service'],
  ['audionews', '114', 'Audio News Multicast'],
  ['sftp', '115', 'Simple File Transfer Protocol'],
  ['ansanotify', '116', 'ANSA REX Notify'],
  ['uucp-path', '117', 'UUCP Path Service'],
  ['sqlserv', '118', 'SQL Services'],
  ['nntp', '119', 'network news transfer protocol'],
  ['cfdptkt', '120', 'cfdptkt'],
  ['erpc', '121', 'Encore Expedited Remote Pro.Call'],
  ['smakynet', '122', 'smakynet'],
  ['ntp', '123', 'Network Time Protocol'],
  ['ansatrader', '124', 'ansatrader'],
  ['locus-map', '125', 'Locus PC-Interface Net Map Ser'],
  ['nxedit', '126', 'nxedit'],
  ['locus-con', '127', 'Locus PC-Interface Conn Server'],
  ['gss-xlicen', '128', 'GSS X License Verification'],
  ['pwdgen', '129', 'Password Generator Protocol'],
  ['cisco-fna', '130', 'cisco FNATIVE'],
  ['cisco-tna', '131', 'cisco TNATIVE'],
  ['cisco-sys', '132', 'cisco SYSMAINT'],
  ['statsrv', '133', 'Statistics Service'],
  ['ingres-net', '134', 'INGRES-NET Service'],
  ['epmap', '135', 'DCE endpoint resolution'],
  ['profile', '136', 'PROFILE Naming System'],
  ['netbios-ns', '137', 'NetBIOS Naming Service'],
  ['netbios-dgm', '138', 'NETBIOS Datagram Service'],
  ['netbios-ssn', '139', 'NETBIOS Session Service'],
  ['emfis-data', '140', 'EMFIS Data Service'],
  ['emfis-cntl', '141', 'EMFIS Control Service'],
  ['bl-idm', '142', 'Britton Lee IDM'],
  ['imap', '143', 'Internet Mail Access Protocol'],
  ['NeWS', '144', ' Window System'],
  ['uaac', '145', 'UAAC Protocol'],
  ['iso-tp0', '146', 'iso-tp0'],
  ['iso-ip', '147', 'iso-ip'],
  ['jargon', '148', 'Jargon'],
  ['aed-512', '149', 'AED 512 Emulation service'],
  ['sql-net', '150', 'SQL-NET'],
  ['hems', '151', 'hems'],
  ['bftp', '152', 'Background File Transfer Program'],
  ['sgmp', '153', 'sgmp'],
  ['netsc-prod', '154', 'NETSC'],
  ['netsc-dev', '155', ''],
  ['sqlsrv', '156', 'SQL Service'],
  ['knet-cmp', '157', 'KNET/VM Command/Message Protocol'],
  ['pcmail-srv', '158', 'PCMail Server'],
  ['nss-routing', '159', 'NSS-Routing'],
  ['sgmp-traps', '160', 'sgmp-traps'],
  ['snmp', '161', 'Simple Network Messaging Protocol'],
  ['snmptrap', '162', 'snmp-trap'],
  ['cmip-man', '163', 'CMIP/TCP Manager'],
  ['cmip-agent', '164', 'CMIP/TCP Agent'],
  ['xns-courier', '165', 'Xerox'],
  ['s-net', '166', 'Sirius Systems'],
  ['namp', '167', 'namp'],
  ['rsvd', '168', 'rsvd'],
  ['send', '169', 'SEND'],
  ['print-srv', '170', 'Network PostScript'],
  ['multiplex', '171', 'Network Innovations Multiplex'],
  ['cl/1', '172', 'Network Innovations CL/1'],
  ['xyplex-mux', '173', 'Xyplex'],
  ['mailq', '174', 'MAILQ'],
  ['vmnet', '175', 'vmnet'],
  ['genrad-mux', '176', 'genrad-mux'],
  ['xdmcp', '177', 'X Display Manager Control Protocol'],
  ['nextstep', '178', 'NextStep Window Server'],
  ['bgp', '179', 'Border Gateway Protocol'],
  ['ris', '180', 'Intergraph'],
  ['unify', '181', 'Unify'],
  ['audit', '182', 'Unisys Audit SITP'],
  ['ocbinder', '183', 'ocbinder'],
  ['ocserver', '184', 'ocserver'],
  ['remote-kis', '185', 'remote-kis'],
  ['kis', '186', 'KIS Protocol'],
  ['aci', '187', 'Application Communication Interface'],
  ['mumps', '188', 'Plus Fives MUMPS'],
  ['qft', '189', 'Queued File Transport'],
  ['gacp', '190', 'Gateway Access Control Protocol'],
  ['prospero', '191', 'Prospero Directory Service'],
  ['osu-nms', '192', 'OSU Network Monitoring System'],
  ['srmp', '193', 'Spider Remote Monitoring Protocol'],
  ['irc', '194', 'Internet Relay Chat'],
  ['dn6-nlm-aud', '195', 'DNSIX Network Level Module Audit'],
  ['dn6-smm-red', '196', 'DNSIX Session Mgt Module Audit Redir'],
  ['dls', '197', 'Directory Location Service'],
  ['dls-mon', '198', 'Directory Location Service Monitor'],
  ['smux', '199', 'SMUX'],
  ['src', '200', 'IBM System Resource Controller'],
  ['at-rtmp', '201', 'AppleTalk Routing Maintenance'],
  ['at-nbp', '202', 'AppleTalk Name Binding'],
  ['at-3', '203', 'AppleTalk Unused'],
  ['at-echo', '204', 'AppleTalk Echo'],
  ['at-5', '205', 'AppleTalk Unused'],
  ['at-zis', '206', 'AppleTalk Zone Information'],
  ['at-7', '207', 'AppleTalk Unused'],
  ['at-8', '208', 'AppleTalk Unused'],
  ['qmtp', '209', 'The Quick Mail Transfer Protocol'],
  ['z39.50', '210', 'ANSI Z39.50'],
  ['914c/g', '211', 'Texas Instruments 914 Terminal'],
  ['anet', '212', 'ATEXSSTR'],
  ['server-ipx', '213', 'Internetwork Packet Exchange Protocol'],
  ['vmpwscs', '214', 'vmpwscs'],
  ['softpc', '215', 'Insignia Solutions'],
  ['CAIlic', '216', 'Computer Associates Intl License Server'],
  ['dbase', '217', 'dBASE Unix'],
  ['mpp', '218', 'Netix Message Posting Protocol'],
  ['uarps', '219', 'Unisys ARPs'],
  ['fln-spx', '221', 'Berkeley rlogind with SPX auth'],
  ['rsh-spx', '222', 'Berkeley rshd with SPX auth'],
  ['cdc', '223', 'Certificate Distribution Center'],
  ['masqdialer', '224', 'masqdialer'],
  ['direct', '242', ''],
  ['sur-meas', '243', 'Survey Measurement'],
  ['inbusiness', '244', 'inbusiness'],
  ['link', '245', ''],
  ['dsp3270', '246', 'Display Systems Protocol'],
  ['subntbcst_tftp', '247', 'subntbcst_tftp'],
  ['bhfhs', '248', 'bhfhs'],
  ['rap', '256', ''],
  ['set', '257', 'Secure Electronic Transaction'],
  ['yak-chat', '258', 'yak winsock personal chat'],
  ['esro-gen', '259', 'Efficient Short Remote Operations'],
  ['openport', '260', 'openport'],
  ['nsiiops', '261', 'IIOP Name Service over TLS/SSL'],
  ['arcisdms', '262', 'arcisdms'],
  ['hdap', '263', 'hdap'],
  ['bgmp', '264', 'BGMP'],
  ['x-bone-ctl', '265', 'Xbone CTL'],
  ['sst', '266', 'SCSI on ST'],
  ['td-service', '267', 'Tobit David Service Layer'],
  ['td-replica', '268', 'Tobit David Replica'],
  ['http-mgmt', '280', 'http-mgmt'],
  ['personal-link', '281', 'personal-link'],
  ['cableport-ax', '282', 'Cable Port A/X'],
  ['rescap', '283', 'rescap'],
  ['corerjd', '284', 'corerjd'],
  ['k-block', '287', 'k-block'],
  ['novastorbakcup', '308', 'Novastor Backup'],
  ['entrusttime', '309', ''],
  ['bhmds', '310', 'bhmds'],
  ['asip-webadmin', '311', 'AppleShare IP WebAdmin'],
  ['vslmp', '312', 'vslmp'],
  ['magenta-logic', '313', 'magenta-logic'],
  ['opalis-robot', '314', 'opalis-robot'],
  ['dpsi', '315', 'dpsi'],
  ['decauth', '316', 'decauth'],
  ['zannet', '317', 'zannet'],
  ['pkix-timestamp', '318', 'pkix-timestamp'],
  ['ptp-event', '319', 'PTP Event'],
  ['ptp-general', '320', 'PTP General'],
  ['pip', '321', ''],
  ['rtsps', '322', 'RTSPS'],
  ['texar', '333', 'Texar Security Port'],
  ['pdap', '344', 'Prospero Data Access Protocol'],
  ['pawserv', '345', 'Perf Analysis Workbench'],
  ['zserv', '346', 'Zebra server'],
  ['fatserv', '347', 'Fatmen Server'],
  ['csi-sgwp', '348', 'Cabletron Management Protocol'],
  ['mftp', '349', 'mftp'],
  ['matip-type-a', '350', 'MATIP Type A'],
  ['matip-type-b', '351', 'MATIP Type B'],
  ['dtag-ste-sb', '352', 'DTAG'],
  ['ndsauth', '353', 'NDSAUTH'],
  ['bh611', '354', ''],
  ['datex-asn', '355', 'datex-asn'],
  ['cloanto-net-1', '356', 'cloanto-net-1'],
  ['bhevent', '357', 'bhevent'],
  ['shrinkwrap', '358', 'shrinkwrap'],
  ['nsrmp', '359', 'Network Security Risk Management Protocol'],
  ['scoi2odialog', '360', 'scoi2odialog'],
  ['semantix', '361', 'semantix'],
  ['srssend', '362', 'srssend'],
  ['rsvp_tunnel', '363', 'rsvp_tunnel'],
  ['aurora-cmgr', '364', 'Aurora CMGR'],
  ['dtk', '365', 'dtk'],
  ['odmr', '366', 'odmr'],
  ['mortgageware', '367', 'mortgageware'],
  ['qbikgdp', '368', 'qbikgdp'],
  ['rpc2portmap', '369', 'rpc2portmap'],
  ['codaauth2', '370', 'codaauth2'],
  ['clearcase', '371', 'Rational ClearCase'],
  ['ulistproc', '372', 'List Processor'],
  ['legent-1', '373', 'Legent Corporation'],
  ['legent-2', '374', 'Legent Corporation (now Computer Associates Intl.)'],
  ['hassle', '375', 'hassle'],
  ['nip', '376', 'Amiga Envoy Network Inquiry Proto'],
  ['tnETOS', '377', 'NEC Corporation'],
  ['dsETOS', '378', 'NEC Corporation'],
  ['is99c', '379', 'TIA/EIA/IS-99 modem client'],
  ['is99s', '380', 'TIA/EIA/IS-99 modem server'],
  ['hp-collector', '381', 'hp performance data collector'],
  ['hp-managed-node', '382', 'hp performance data managed node'],
  ['hp-alarm-mgr', '383', 'hp performance data alarm manager'],
  ['arns', '384', 'A remote network server system'],
  ['ibm-app', '385', 'IBM Application'],
  ['asa', '386', 'ASA Message router object def'],
  ['aurp', '387', 'Appletalk Update-Based Routing Pro.'],
  ['unidata-ldm', '388', 'Unidata LDM'],
  ['ldap', '389', 'Lightweight Directory Access Protocol'],
  ['uis', '390', 'uis'],
  ['synotics-relay', '391', 'SynOptics SNMP Relay Port'],
  ['synotics-broker', '392', 'SynOptics Port Broker Port'],
  ['meta5', '393', 'meta5'],
  ['embl-ndt', '394', 'EMBL Nucleic Data Transfer'],
  ['netcp', '395', 'NETscout Control Protocol'],
  ['netware-ip', '396', 'Novell Netware over IP'],
  ['mptn', '397', 'Multi Protocol Trans. Net'],
  ['kryptolan', '398', 'kryptolan'],
  ['iso-tsap-c2', '399', 'ISO Transport Class 2 Non-Control'],
  ['work-sol', '400', 'Workstation Solutions'],
  ['ups', '401', 'Uninterruptible Power Supply'],
  ['genie', '402', 'Genie Protocol'],
  ['decap', '403', 'decap'],
  ['nced', '404', 'nced'],
  ['ncld', '405', 'ncld'],
  ['imsp', '406', 'Interactive Mail Support Protocol'],
  ['timbuktu', '407', 'Timbuktu'],
  ['prm-sm', '408', 'Prospero Resource Manager Sys. Man'],
  ['prm-nm', '409', 'Prospero Resource Manager Node Man'],
  ['decladebug', '410', 'DECLadebug Remote Debug Protocol'],
  ['rmt', '411', 'Remote MT Protocol'],
  ['synoptics-trap', '412', 'Trap Convention Port'],
  ['smsp', '413', 'Storage Management Services Protocol'],
  ['infoseek', '414', 'InfoSeek'],
  ['bnet', '415', 'bnet'],
  ['silverplatter', '416', ''],
  ['onmux', '417', 'onmux'],
  ['hyper-g', '418', 'hyper-g'],
  ['ariel1', '419', 'Ariel1'],
  ['smpte', '420', ''],
  ['ariel2', '421', 'Ariel2'],
  ['ariel3', '422', 'Ariel3'],
  ['opc-job-start', '423', 'IBM Operations Planning and Control Start'],
  ['opc-job-track', '424', 'IBM Operations Planning and Control Track'],
  ['icad-el', '425', ''],
  ['smartsdp', '426', 'smartsdp'],
  ['svrloc', '427', 'Server Location'],
  ['ocs_cmu', '428', 'ocs_cmu'],
  ['ocs_amu', '429', 'ocs_amu'],
  ['utmpsd', '430', 'utmpsd'],
  ['utmpcd', '431', 'utmpcd'],
  ['iasd', '432', 'iasd'],
  ['nnsp', '433', 'nnsp'],
  ['mobileip-agent', '434', 'mobileip-agent'],
  ['mobilip-mn', '435', 'mobilip-mn'],
  ['dna-cml', '436', 'DNA-CML'],
  ['comscm', '437', 'comscm'],
  ['dsfgw', '438', 'dsfgw'],
  ['dasp', '439', 'dasp'],
  ['sgcp', '440', 'sgcp'],
  ['decvms-sysmgt', '441', 'decvms-sysmgt'],
  ['cvc_hostd', '442', 'cvc_hostd'],
  ['secure-http', '443', 'Secured HTTP or SSL'],
  ['snpp', '444', 'Simple Network Paging Protocol'],
  ['microsoftds', '445', 'Microsoft-DS'],
  ['ddm-rdb', '446', 'DDM-Remote Relational Database Access'],
  ['ddm-dfm', '447', 'DDM Distributed File management'],
  ['ddm-ssl', '448', 'DDM-Remote DB Access Using Secure Sockets'],
  ['as-servermap', '449', 'AS Server Mapper'],
  ['tserver', '450', 'Computer Supported Telecomunication Applications'],
  ['sfs-smp-net', '451', 'Cray Network Semaphore server'],
  ['sfs-config', '452', 'Cray SFS config server'],
  ['creativeserver', '453', 'creativeserver'],
  ['contentserver', '454', 'ContentServer'],
  ['creativepartnr', '455', 'creativepartnr'],
  ['macon', '456', ''],
  ['scohelp', '457', 'scohelp'],
  ['appleqtc', '458', 'apple quick time'],
  ['ampr-rcmd', '459', ''],
  ['skronk', '460', 'skronk'],
  ['datasurfsrv', '461', 'DataRamp Svr'],
  ['datasurfsrvsec', '462', 'DataRamp Svr svs'],
  ['alpes', '463', 'Alpes'],
  ['kpasswd', '464', 'kpasswd'],
  ['smtps', '465', 'smtp protocol over TLS/SSL (was ssmtp)'],
  ['digital-vrc', '466', 'digital-vrc'],
  ['mylex-mapd', '467', 'mylex-mapd'],
  ['photuris', '468', 'photuris'],
  ['rcp', '469', 'Radio Control Protocol'],
  ['scx-proxy', '470', 'scx-proxy'],
  ['mondex', '471', 'mondex'],
  ['ljk-login', '472', 'ljk-login'],
  ['hybrid-pop', '473', 'hybrid-pop'],
  ['tn-tl-w', '474', ''],
  ['tcpnethaspsrv', '475', ''],
  ['tn-tl-fd1', '476', 'tn-tl-fd1'],
  ['ss7ns', '477', 'ss7ns'],
  ['spsc', '478', 'spsc'],
  ['iafserver', '479', 'iafserver'],
  ['iafdbase', '480', 'iafdbase'],
  ['ph', '481', ''],
  ['bgs-nsi', '482', 'bgs-nsi'],
  ['ulpnet', '483', 'ulpnet'],
  ['integra-sme', '484', 'Integra Software Management Environment'],
  ['powerburst', '485', 'Air Soft Power Burst'],
  ['avian', '486', 'avian'],
  ['saft', '487', 'saft Simple Asynchronous File Transfer'],
  ['gss-http', '488', 'gss-http'],
  ['nest-protocol', '489', 'nest-protocol'],
  ['micom-pfs', '490', 'micom-pfs'],
  ['go-login', '491', 'go-login'],
  ['ticf-1', '492', 'Transport Independent Convergence for FNA'],
  ['ticf-2', '493', 'Transport Independent Convergence for FNA'],
  ['pov-ray', '494', 'pov-ray'],
  ['intecourier', '495', 'intecourier'],
  ['pim-rp-disc', '496', 'PIM-RP-DISC'],
  ['dantz', '497', 'dantz'],
  ['siam', '498', 'siam'],
  ['iso-ill', '499', 'ISO ILL Protocol'],
  ['isakmp', '500', 'Internet Security Association and Key Management Protoc'],
  ['stmf', '501', 'stmf'],
  ['asa-appl-proto', '502', 'asa-appl-proto'],
  ['intrinsa', '503', 'intrinsa'],
  ['citadel', '504', ''],
  ['mailbox-lm', '505', 'mailbox-lm'],
  ['ohimsrv', '506', 'ohimsrv'],
  ['crs', '507', 'crs'],
  ['xvttp', '508', 'xvttp'],
  ['snare', '509', 'snare'],
  ['fcp', '510', 'FirstClass Protocol'],
  ['passgo', '511', 'passgo'],
  ['exec', '512', 'remote process execution'],
  ['login', '513', 'Obtain a remote login Terminal'],
  ['shell', '514', 'Execute a program on remote shell'],
  ['printer', '515', 'spooler'],
  ['videotex', '516', 'videotex'],
  ['talk', '517', 'talk'],
  ['ntalk', '518', 'ntalk'],
  ['utime', '519', 'unixtime'],
  ['rip', '520', 'Routing Information Protocol'],
  ['ripng', '521', 'Routing information protocol for IPV6 networks'],
  ['ulp', '522', ''],
  ['ibm-db2', '523', 'IBM-DB2'],
  ['ncp', '524', 'Network services Protocol'],
  ['timed', '525', 'timeserver'],
  ['tempo', '526', 'newdate'],
  ['stx', '527', 'Stock IXChange'],
  ['custix', '528', 'Customer Ixchange'],
  ['irc-serv', '529', 'IRC-SERV'],
  ['courier', '530', 'rpc'],
  ['conference', '531', 'chat'],
  ['netnews', '532', 'readnews'],
  ['netwall', '533', 'for emergency broadcasts'],
  ['mm-admin', '534', 'MegaMedia Admin'],
  ['iiop', '535', 'iiop'],
  ['opalis-rdv', '536', 'opalis-rdv'],
  ['nmsp', '537', 'Networked Media Streaming Protocol'],
  ['gdomap', '538', 'gdomap'],
  ['apertus-ldp', '539', 'Apertus Tech Load Distribution'],
  ['uucp', '540', 'uucpd'],
  ['uucp-rlogin', '541', 'uucp-rlogin'],
  ['commerce', '542', 'commerce'],
  ['klogin', '543', 'klogin'],
  ['kshell', '544', 'krcmd'],
  ['appleqtcsrvr', '545', 'appleqtcsrvr'],
  ['dhcpv6-client', '546', 'DHCPv6 Client'],
  ['dhcpv6-server', '547', 'DHCPv6 Server'],
  ['afpovertcp', '548', 'AFP over TCP'],
  ['idfp', '549', 'idfp'],
  ['new-rwho', '550', 'new who'],
  ['cybercash', '551', 'cybercash'],
  ['deviceshare', '552', ''],
  ['pirp', '553', 'pirp'],
  ['rtsp', '554', 'Real Time Streaming Protocol'],
  ['dsf', '555', ''],
  ['remotefs', '556', 'rfs server'],
  ['openvms-sysipc', '557', 'openvms-sysipc'],
  ['sdnskmp', '558', 'SDNSKMP'],
  ['teedtap', '559', 'teedtap'],
  ['rmonitor', '560', 'rmonitord'],
  ['monitor', '561', 'monitor'],
  ['chshell', '562', 'chcmd'],
  ['secure-nntp', '563', 'nntp protocol over TLS'],
  ['9pfs', '564', 'Plan 9 file service'],
  ['whoami', '565', 'whoami'],
  ['streettalk', '566', 'streettalk'],
  ['banyan-rpc', '567', 'banyan-rpc'],
  ['ms-shuttle', '568', 'microsoft shuttle'],
  ['ms-rome', '569', 'microsoft rome'],
  ['meter', '570', 'meter'],
  ['umeter', '571', 'udemon'],
  ['sonar', '572', 'sonar'],
  ['banyan-vip', '573', 'banyan-vip'],
  ['ftp-agent', '574', 'FTP Software Agent System'],
  ['vemmi', '575', 'vemmi'],
  ['ipcd', '576', 'ipcd'],
  ['vnas', '577', 'vnas'],
  ['ipdd', '578', 'ipdd'],
  ['decbsrv', '579', 'decbsrv'],
  ['sntp-heartbeat', '580', 'SNTP HEARTBEAT'],
  ['bdp', '581', 'Bundle Discovery protocol'],
  ['scc-security', '582', 'scc-security'],
  ['philips-vc', '583', 'Philips Video-Conferencing'],
  ['keyserver', '584', 'Key Server'],
  ['password-chg', '586', 'Password Change'],
  ['submission', '587', 'submission'],
  ['cal', '588', ''],
  ['eyelink', '589', ''],
  ['tns-cml', '590', 'tns-cml'],
  ['http-alt', '591', 'FileMaker'],
  ['eudora-set', '592', 'Eudora Set'],
  ['http-rpc-epmap', '593', 'HTTP RPC Ep Map'],
  ['tpip', '594', 'tpip'],
  ['cab-protocol', '595', 'CAB Protocol'],
  ['smsd', '596', 'smsd'],
  ['ptcnameservice', '597', 'PTC Name Service'],
  ['sco-websrvrmg3', '598', 'SCO Web Server Manager 3'],
  ['acp', '599', 'Aeolon Core Protocol'],
  ['ipcserver', '600', 'Sun IPC server'],
  ['idxp', '603', 'IDXP'],
  ['tunnel', '604', 'TUNNEL'],
  ['urm', '606', 'Cray Unified Resource Manager'],
  ['nqs', '607', 'nqs'],
  ['sift-uft', '608', 'Sender-Initiated/Unsolicited File Transfer'],
  ['npmp-trap', '609', 'npmp-trap'],
  ['npmp-local', '610', 'npmp-local'],
  ['npmp-gui', '611', 'npmp-gui'],
  ['hmmp-ind', '612', 'HMMP Indication'],
  ['hmmp-op', '613', 'HMMP Operation'],
  ['sshell', '614', 'SSLshell'],
  ['sco-inetmgr', '615', 'Internet Configuration Manager'],
  ['sco-sysmgr', '616', 'SCO System Administration Server'],
  ['sco-dtmgr', '617', 'SCO Desktop Administration Server'],
  ['dei-icda', '618', 'dei-icda'],
  ['sco-websrvrmgr', '620', 'SCO WebServer Manager'],
  ['escp-ip', '621', 'escp-ip'],
  ['collaborator', '622', 'collaborator'],
  ['cryptoadmin', '624', 'Crypto Admin'],
  ['dec_dlm', '625', 'dec_dlm'],
  ['asia', '626', 'ASIA'],
  ['passgo-tivoli', '627', 'passgo-tivoli'],
  ['qmqp', '628', 'qmqp'],
  ['3com-amp3', '629', '3Com AMP3'],
  ['rda', '630', 'rda'],
  ['ipp', '631', 'Internet Printing Protocol'],
  ['bmpp', '632', 'bmpp'],
  ['servstat', '633', 'Service Status update'],
  ['ginad', '634', 'ginad'],
  ['rlzdbase', '635', 'rlzdbase'],
  ['secure-ldap', '636', 'ldap protocol over TLS'],
  ['lanserver', '637', 'lanserver'],
  ['mcns-sec', '638', 'mcns-sec'],
  ['msdp', '639', 'msdp'],
  ['entrust-sps', '640', 'entrust-sps'],
  ['repcmd', '641', 'repcmd'],
  ['esro-emsdp', '642', 'ESRO-EMSDP V1.3'],
  ['sanity', '643', 'sanity'],
  ['dwr', '644', 'dwr'],
  ['pssc', '645', 'PSSC'],
  ['ldp', '646', 'LDP'],
  ['dhcp-failover', '647', 'DHCP Failover'],
  ['rrp', '648', 'Registry Registrar Protocol'],
  ['obex', '650', 'obex'],
  ['ieee-mms', '651', 'ieee-mms'],
  ['hello-port', '652', 'HELLO_PORT'],
  ['repscmd', '653', 'repscmd'],
  ['aodv', '654', 'AODV'],
  ['tinc', '655', 'tinc'],
  ['spmp', '656', 'spmp'],
  ['rmc', '657', 'rmc'],
  ['tenfold', '658', 'tenfold'],
  ['mac-srvr-admin', '660', 'MacOS Server Admin'],
  ['hap', '661', 'hap'],
  ['pftp', '662', 'pftp'],
  ['purenoise', '663', 'purenoise'],
  ['sun-dr', '665', 'sun-dr'],
  ['doom', '666', 'doom Id Software'],
  ['disclose', '667', 'campaign contribution disclosures'],
  ['mecomm', '668', 'mecomm'],
  ['meregister', '669', 'meregister'],
  ['vacdsm-sws', '670', 'VACDSM-SWS'],
  ['vacdsm-app', '671', 'VACDSM-APP'],
  ['vpps-qua', '672', 'vpps-qua'],
  ['cimplex', '673', 'cimplex'],
  ['acap', '674', 'ACAP'],
  ['dctp', '675', 'dctp'],
  ['vpps-via', '676', 'vpps-via'],
  ['vpp', '677', 'Virtual Presence Protocol'],
  ['ggf-ncp', '678', 'GNU Generation Foundation NCP'],
  ['mrm', '679', 'mrm'],
  ['entrust-aaas', '680', 'entrust-aaas'],
  ['entrust-aams', '681', 'entrust-aams'],
  ['xfr', '682', 'XFR'],
  ['corba-iiop', '683', 'CORBA Internet Inter-ORB Protocol'],
  ['mdc-portmapper', '685', 'mdc-portmapper'],
  ['hcp-wismar', '686', 'Hardware Control Protocol Wismar'],
  ['asipregistry', '687', 'asipregistry'],
  ['realm-rusd', '688', 'ApplianceWare managment protocol'],
  ['nmap', '689', 'nmap'],
  ['vatp', '690', 'Velazquez Application Transfer Protocol'],
  ['msexch-routing', '691', 'MS Exchange Routing'],
  ['hyperwave-isp', '692', 'hyperwave-isp'],
  ['connendp', '693', 'almanid Connection Endpoint'],
  ['ha-cluster', '694', 'ha-cluster'],
  ['ieee-mms-ssl', '695', 'ieee-mms-ssl'],
  ['rushd', '696', 'rushd'],
  ['uuidgen', '697', 'UUIDGEN'],
  ['olsr', '698', 'olsr'],
  ['accessnetwork', '699', 'Access Network'],
  ['elcsd', '704', 'errlog copy/server daemon'],
  ['agentx', '705', 'AgentX'],
  ['silc', '706', 'silc'],
  ['borland-dsj', '707', 'borland-dsj'],
  ['entrust-kmsh', '709', 'Entrust Key Management Service Handler'],
  ['entrust-ash', '710', 'Entrust Administration Service Handler'],
  ['cisco-tdp', '711', 'Cisco TDP'],
  ['tbrpf', '712', 'TBRPF'],
  ['netviewdm1', '729', 'IBM NetView DM'],
  ['netviewdm2', '730', 'IBM NetView DM/6000 send/tcp'],
  ['netviewdm3', '731', 'IBM NetView DM/6000 receive/tcp'],
  ['netgw', '741', 'netgw'],
  ['netrcs', '742', 'Network based RCS'],
  ['flexlm', '744', 'Flexible License Manager'],
  ['fujitsu-dev', '747', 'Fujitsu Device Control'],
  ['ris-cm', '748', 'Russell Info Sci Calendar Manager'],
  ['kerberos-adm', '749', 'kerberos administration'],
  ['kerberos-iv', '750', 'kdc # Kerberos (v4)'],
  ['pump', '751', 'pump'],
  ['qrh', '752', 'qrh'],
  ['rrh', '753', 'rrh'],
  ['tell', '754', 'send'],
  ['nlogin', '758', 'nlogin'],
  ['con', '759', ''],
  ['ns', '760', 'ns'],
  ['rxe', '761', 'rxe'],
  ['quotad', '762', 'quotad'],
  ['cycleserv', '763', 'cycleserv'],
  ['omserv', '764', 'omserv'],
  ['webster', '765', 'webster'],
  ['phonebook', '767', 'Phone'],
  ['vid', '769', ''],
  ['cadlock', '770', 'cadlock'],
  ['rtip', '771', 'rtip'],
  ['cycleserv2', '772', 'cycleserv2'],
  ['submit', '773', 'Submit Protocol'],
  ['acmaint_dbd', '774', ''],
  ['entomb', '775', 'entomb'],
  ['wpages', '776', ''],
  ['multiling-http', '777', 'Multiling HTTP'],
  ['wpgs', '780', 'wpgs'],
  ['concert', '786', ''],
  ['mdbs_daemon', '800', ''],
  ['device', '801', 'device'],
  ['itm-mcell-s', '828', 'itm-mcell-s'],
  ['pkix-3-ca-ra', '829', 'PKIX-3 CA/RA'],
  ['dhcp-failover2', '847', 'dhcp-failover2'],
  ['gdoi', '848', 'GDOI'],
  ['iscsi', '860', 'iSCSI'],
  ['supfilesrv', '871', ' for SUP'],
  ['rsync', '873', 'rsync'],
  ['iclcnet-locate', '886', 'ICL coNETion locate server'],
  ['iclcnet_svinfo', '887', 'ICL coNETion server info'],
  ['accessbuilder', '888', 'Access Builder'],
  ['omginitialrefs', '900', 'omginitialrefs'],
  ['smpnameres', '901', 'smpnameres'],
  ['xact-backup', '911', 'xact-backup'],
  ['rndc', '953', ' named rndc control socket'],
  ['ftps-data', '989', 'ftp protocol'],
  ['ftps', '990', 'ftp protocol'],
  ['nas', '991', 'Netnews Administration System'],
  ['secure-telnet', '992', 'telnet protocol over TLS'],
  ['secure-imap', '993', 'Internet Message Access Protocol over TLS/SSL'],
  ['secure-irc', '994', 'irc protocol over TLS'],
  ['secure-pop3', '995', 'pop3 protocol over TLS'],
  ['vsinet', '996', 'vsinet'],
  ['maitrd', '997', 'maitrd'],
  ['busboy', '998', ''],
  ['applix', '999', 'Applix ac'],
  ['cadlock', '1000', ''],
  ['surf', '1010', 'surf'],
  ['exosee', '1027', 'ExoSee'],
  ['ams', '1037', 'AMS'],
  ['netarx', '1040', 'Netarx'],
  ['brvread', '1054', 'BRVREAD'],
  ['vfo', '1056', 'VFO'],
  ['startron', '1057', 'STARTRON'],
  ['nim', '1058', 'nim'],
  ['nimreg', '1059', 'nimreg'],
  ['polestar', '1060', 'POLESTAR'],
  ['kiosk', '1061', 'KIOSK'],
  ['veracity', '1062', 'Veracity'],
  ['kyoceranetdev', '1063', 'KyoceraNetDev'],
  ['jstel', '1064', 'JSTEL'],
  ['syscomlan', '1065', 'SYSCOMLAN'],
  ['gmrupdateserv', '1070', 'GMRUpdateSERV'],
  ['cardax', '1072', 'CARDAX'],
  ['rdrmshc', '1075', 'RDRMSHC'],
  ['imgames', '1077', 'IMGames'],
  ['asprovatalk', '1079', 'ASPROVATalk'],
  ['socks', '1080', 'generic proxy protocol for TCP/IP-based networking appl'],
  ['pvuniwien', '1081', 'PVUNIWIEN'],
  ['proofd', '1093', 'PROOFD'],
  ['rootd', '1094', 'ROOTD'],
  ['nicelink', '1095', 'NICELink'],
  ['rmiactivation', '1098', 'rmiactivation'],
  ['rmiregistry', '1099', 'rmiregistry'],
  ['xrl', '1104', 'XRL'],
  ['ftranhc', '1105', 'FTRANHC'],
  ['sacred', '1118', 'SACRED'],
  ['murray', '1123', 'Murray'],
  ['tripwire', '1169', 'TRIPWIRE'],
  ['dmidi', '1199', 'DMIDI'],
  ['scol', '1200', 'SCOL'],
  ['caiccipc', '1202', 'caiccipc'],
  ['metasage', '1207', 'MetaSage'],
  ['ipcd3', '1209', 'IPCD3'],
  ['eoss', '1210', 'EOSS'],
  ['lupa', '1212', 'lupa'],
  ['kazaa', '1214', 'KAZAA'],
  ['tgp', '1223', 'TGP'],
  ['vpnz', '1224', 'VPNz'],
  ['slinkysearch', '1225', 'SLINKYSEARCH'],
  ['stgxfws', '1226', 'STGXFWS'],
  ['dns2go', '1227', 'DNS2Go'],
  ['florence', '1228', 'FLORENCE'],
  ['periscope', '1230', 'Periscope'],
  ['mosaicsyssvc1', '1235', 'mosaicsyssvc1'],
  ['bvcontrol', '1236', 'bvcontrol'],
  ['tsdos390', '1237', 'tsdos390'],
  ['nmsd', '1239', 'NMSD'],
  ['instantia', '1240', 'Instantia'],
  ['nessus', '1241', 'nessus'],
  ['serialgateway', '1243', 'SerialGateway'],
  ['isbconference1', '1244', 'isbconference1'],
  ['isbconference2', '1245', 'isbconference2'],
  ['payrouter', '1246', 'payrouter'],
  ['visionpyramid', '1247', 'VisionPyramid'],
  ['hermes', '1248', 'hermes'],
  ['servergraph', '1251', 'servergraph'],
  ['mpshrsv', '1261', 'mpshrsv'],
  ['dka', '1263', 'dka'],
  ['prat', '1264', 'PRAT'],
  ['dssiapi', '1265', 'DSSIAPI'],
  ['dellpwrappks', '1266', 'DELLPWRAPPKS'],
  ['watilapp', '1269', 'WATiLaPP'],
  ['opsmgr', '1270', 'Microsoft Operations Manager'],
  ['excw', '1271', 'eXcW'],
  ['cspmlockmgr', '1272', 'CSPMLockMgr'],
  ['t1distproc', '1274', 't1distproc'],
  ['ivcollector', '1275', 'ivcollector'],
  ['ivmanager', '1276', 'ivmanager'],
  ['pictrography', '1280', 'Pictrography'],
  ['healthd', '1281', 'healthd'],
  ['emperion', '1282', 'Emperion'],
  ['productinfo', '1283', 'ProductInfo'],
  ['neoiface', '1285', 'neoiface'],
  ['netuitive', '1286', 'netuitive'],
  ['navbuddy', '1288', 'NavBuddy'],
  ['jwalkserver', '1289', 'JWalkServer'],
  ['seagulllms', '1291', 'SEAGULLLMS'],
  ['dsdn', '1292', 'dsdn'],
  ['cmmdriver', '1294', 'CMMdriver'],
  ['dproxy', '1296', 'dproxy'],
  ['sdproxy', '1297', 'sdproxy'],
  ['lpcp', '1298', 'lpcp'],
  ['sftsrv', '1303', 'sftsrv'],
  ['boomerang', '1304', 'Boomerang'],
  ['pacmand', '1307', 'Pacmand'],
  ['husky', '1310', 'Husky'],
  ['rxmon', '1311', 'RxMon'],
  ['bmc_patroldb', '1313', 'BMC_PATROLDB'],
  ['krb5gatekeeper', '1318', 'krb5gatekeeper'],
  ['pip', '1321', 'pip'],
  ['novation', '1322', 'Novation'],
  ['brcd', '1323', 'brcd'],
  ['wimsic', '1326', 'WIMSIC'],
  ['ultrex', '1327', 'Ultrex'],
  ['ewall', '1328', 'EWALL'],
  ['streetperfect', '1330', 'StreetPerfect'],
  ['intersan', '1331', 'intersan'],
  ['writesrv', '1334', 'writesrv'],
  ['kjtsiteserver', '1339', 'kjtsiteserver'],
  ['naap', '1340', 'NAAP'],
  ['qubes', '1341', 'QuBES'],
  ['esbroker', '1342', 'ESBroker'],
  ['re101', '1343', 're101'],
  ['icap', '1344', 'ICAP'],
  ['vpjp', '1345', 'VPJP'],
  ['notes', '1352', 'Lotus Notes(R)'],
  ['udt_os', '1382', 'udt_os'],
  ['sqlserver', '1433', 'Microsoft-SQL-Server'],
  ['ms-sql-m', '1434', 'Microsoft-SQL-Monitor'],
  ['tabula', '1437', 'Tabula'],
  ['nucleus', '1463', 'Nucleus'],
  ['sybase', '1498', 'Database management system'],
  ['shivadiscovery', '1502', 'Shiva'],
  ['symplex', '1507', 'symplex'],
  ['diagmond', '1508', 'diagmond'],
  ['ncube-lm', '1521', 'Ncube License Manager'],
  ['ingreslock', '1524', 'ingres'],
  ['ora-srv', '1525', 'Oracle TCP/IP Listener'],
  ['tlisrv', '1527', 'oracle'],
  ['mciautoreg', '1528', 'micautoreg'],
  ['coauthor', '1529', 'oracle'],
  ['miroconnect', '1532', 'miroconnect'],
  ['virtual-places', '1533', 'Virtual places software'],
  ['micromuse-lm', '1534', 'micromuse-lm'],
  ['rds', '1540', 'rds'],
  ['rds2', '1541', 'rds2'],
  ['aspeclmd', '1544', 'aspeclmd'],
  ['abbaccuray', '1546', 'abbaccuray'],
  ['laplink', '1547', 'laplink'],
  ['pciarray', '1552', 'pciarray'],
  ['livelan', '1555', 'livelan'],
  ['xingmpeg', '1558', 'xingmpeg'],
  ['web2host', '1559', 'web2host'],
  ['facilityview', '1561', 'facilityview'],
  ['pconnectmgr', '1562', 'pconnectmgr'],
  ['winddlb', '1565', 'WinDD'],
  ['corelvideo', '1566', 'CORELVIDEO'],
  ['jlicelmd', '1567', 'jlicelmd'],
  ['tsspmap', '1568', 'tsspmap'],
  ['ets', '1569', 'ets'],
  ['orbixd', '1570', 'orbixd'],
  ['rdb-dbs-disp', '1571', 'Oracle Remote Data Base'],
  ['oraclenames', '1575', 'oraclenames'],
  ['msims', '1582', 'MSIMS'],
  ['simbaexpress', '1583', 'simbaexpress'],
  ['intv', '1585', 'intv'],
  ['pra_elmd', '1587', 'pra_elmd'],
  ['vqp', '1589', 'VQP'],
  ['commonspace', '1592', 'commonspace'],
  ['sixtrak', '1594', 'sixtrak'],
  ['radio', '1595', 'radio'],
  ['picknfs', '1598', 'picknfs'],
  ['simbaservices', '1599', 'simbaservices'],
  ['aas', '1601', 'aas'],
  ['inspect', '1602', 'inspect'],
  ['picodbc', '1603', 'pickodbc'],
  ['citrix-static', '1604', 'Citrix Static'],
  ['stt', '1607', 'stt'],
  ['skytelnet', '1618', 'skytelnet'],
  ['faxportwinport', '1620', 'faxportwinport'],
  ['softdataphone', '1621', 'softdataphone'],
  ['ontime', '1622', 'ontime'],
  ['jaleosnd', '1623', 'jaleosnd'],
  ['shockwave', '1626', 'Shockwave'],
  ['oraclenet8cman', '1630', 'Oracle Net8 Cman'],
  ['pammratc', '1632', 'PAMMRATC'],
  ['pammrpc', '1633', 'PAMMRPC'],
  ['invision', '1641', 'InVision'],
  ['rsap', '1647', 'rsap'],
  ['kermit', '1649', 'kermit'],
  ['nkd', '1650', 'nkdn'],
  ['shiva_confsrvr', '1651', 'shiva_confsrvr'],
  ['xnmp', '1652', 'xnmp'],
  ['stargatealerts', '1654', 'stargatealerts'],
  ['sixnetudr', '1658', 'sixnetudr'],
  ['netcomm1', '1676', 'netcomm1'],
  ['groupwise', '1677', 'Groupwise messaging and groupware platform'],
  ['prolink', '1678', 'prolink'],
  ['snaresecure', '1684', 'SnareSecure'],
  ['n2nremote', '1685', 'n2nremote'],
  ['cvmon', '1686', 'cvmon'],
  ['firefox', '1689', 'firefox'],
  ['rrirtr', '1693', 'rrirtr'],
  ['rrimwm', '1694', 'rrimwm'],
  ['rrilwm', '1695', 'rrilwm'],
  ['rrifmm', '1696', 'rrifmm'],
  ['rrisat', '1697', 'rrisat'],
  ['l2tp', '1701', 'l2tp'],
  ['deskshare', '1702', 'deskshare'],
  ['slingshot', '1705', 'slingshot'],
  ['jetform', '1706', 'jetform'],
  ['vdmplay', '1707', 'vdmplay'],
  ['centra', '1709', 'centra'],
  ['impera', '1710', 'impera'],
  ['pptconference', '1711', 'pptconference'],
  ['conferencetalk', '1713', 'ConferenceTalk'],
  ['xmsg', '1716', 'xmsg'],
  ['h323gatedisc', '1718', 'h323gatedisc'],
  ['h323hostcall', '1720', 'h323hostcall'],
  ['caicci', '1721', 'caicci'],
  ['pptp', '1723', 'Point-to-Point Tunneling Protocol'],
  ['csbphonemaster', '1724', 'csbphonemaster'],
  ['iberiagames', '1726', 'IBERIAGAMES'],
  ['winddx', '1727', 'winddx'],
  ['telindus', '1728', 'TELINDUS'],
  ['roketz', '1730', 'roketz'],
  ['msiccp', '1731', 'MSICCP'],
  ['proxim', '1732', 'proxim'],
  ['privatechat', '1735', 'PrivateChat'],
  ['ultimad', '1737', 'ultimad'],
  ['gamegen1', '1738', 'GameGen1'],
  ['webaccess', '1739', 'webaccess'],
  ['encore', '1740', 'encore'],
  ['swiftnet', '1751', 'SwiftNet'],
  ['ms-streaming', '1755', 'Microsoft media services'],
  ['cnhrp', '1757', 'cnhrp'],
  ['vaultbase', '1771', 'vaultbase'],
  ['kmscontrol', '1773', 'KMSControl'],
  ['powerguardian', '1777', 'powerguardian'],
  ['pharmasoft', '1779', 'pharmasoft'],
  ['dpkeyserv', '1780', 'dpkeyserv'],
  ['psmond', '1788', 'psmond'],
  ['hello', '1789', 'hello'],
  ['ea1', '1791', 'EA1'],
  ['netrisk', '1799', 'NETRISK'],
  ['concomp1', '1802', 'ConComp1'],
  ['enl', '1804', 'ENL'],
  ['musiconline', '1806', 'Musiconline'],
  ['radius', '1812', 'Remote Authentication Dial In User Service protocol'],
  ['mmpft', '1815', 'MMPFT'],
  ['harp', '1816', 'HARP'],
  ['mcagent', '1820', 'mcagent'],
  ['donnyworld', '1821', 'donnyworld'],
  ['ardt', '1826', 'ARDT'],
  ['net8-cman', '1830', 'Oracle Net8 CMan Admin'],
  ['myrtle', '1831', 'Myrtle'],
  ['udpradio', '1833', 'udpradio'],
  ['csoft1', '1837', 'csoft1'],
  ['talnet', '1838', 'TALNET'],
  ['altalink', '1845', 'altalink'],
  ['fjdocdist', '1848', 'fjdocdist'],
  ['gsi', '1850', 'GSI'],
  ['ctcd', '1851', 'ctcd'],
  ['datacaptor', '1857', 'DataCaptor'],
  ['privateark', '1858', 'PrivateArk'],
  ['msnp', '1863', 'msnp'],
  ['entp', '1865', 'ENTP'],
  ['swrmi', '1866', 'swrmi'],
  ['udrive', '1867', 'UDRIVE'],
  ['viziblebrowser', '1868', 'VizibleBrowser'],
  ['yestrader', '1869', 'YesTrader'],
  ['fjmpjps', '1873', 'Fjmpjps'],
  ['fjswapsnp', '1874', 'Fjswapsnp'],
  ['ewcappsrv', '1876', 'ewcappsrv'],
  ['drmsmc', '1878', 'drmsmc'],
  ['ecsqdmn', '1882', 'ecsqdmn'],
  ['wilkenlistener', '1890', 'wilkenListener'],
  ['metaagent', '1897', 'MetaAgent'],
  ['mc2studios', '1899', 'MC2Studios'],
  ['ssdp', '1900', 'SSDP'],
  ['tpmd', '1906', 'TPortMapperReq'],
  ['intrastar', '1907', 'IntraSTAR'],
  ['dawn', '1908', 'Dawn'],
  ['armadp', '1913', 'armadp'],
  ['facelink', '1915', 'FACELINK'],
  ['noagent', '1917', 'nOAgent'],
  ['noadmin', '1921', 'NoAdmin'],
  ['spice', '1923', 'SPICE'],
  ['xiip', '1924', 'XIIP'],
  ['tekpls', '1946', 'tekpls'],
  ['hlserver', '1947', 'hlserver'],
  ['eye2eye', '1948', 'eye2eye'],
  ['mpnjsc', '1952', 'mpnjsc'],
  ['webmachine', '1963', 'WebMachine'],
  ['slush', '1966', 'Slush'],
  ['lipsinc', '1968', 'LIPSinc'],
  ['netop-remote-control', '1970', 'Remote control management and support software'],
  ['drp', '1974', 'DRP'],
  ['unisql', '1978', 'UniSQL'],
  ['p2pq', '1981', 'p2pQ'],
  ['bb', '1984', 'Big Brother network monitoring tool'],
  ['ipsendmsg', '1992', 'IPsendmsg'],
  ['isis', '2042', 'isis'],
  ['wccp', '2048', 'Web Cache Communication Protocol'],
  ['nfs', '2049', 'Network File System'],
  ['epnsdp', '2051', 'EPNSDP'],
  ['netflow', '2055', 'NetFlow protocol'],
  ['netmount', '2061', 'NetMount'],
  ['gnunet', '2086', 'GNUnet'],
  ['prp', '2091', 'PRP'],
  ['minipay', '2105', 'MiniPay'],
  ['mzap', '2106', 'MZAP'],
  ['comcam', '2108', 'Comcam'],
  ['ergolight', '2109', 'Ergolight'],
  ['umsp', '2110', 'UMSP'],
  ['dsatp', '2111', 'DSATP'],
  ['newheights', '2114', 'NEWHEIGHTS'],
  ['ccowcmr', '2116', 'CCOWCMR'],
  ['mentaclient', '2117', 'MENTACLIENT'],
  ['mentaserver', '2118', 'MENTASERVER'],
  ['gsigatekeeper', '2119', 'GSIGATEKEEPER'],
  ['elatelink', '2124', 'ELATELINK'],
  ['lockstep', '2125', 'LOCKSTEP'],
  ['avantageb2b', '2131', 'Avantageb2b'],
  ['avenue', '2134', 'AVENUE'],
  ['appworxsrv', '2136', 'APPWORXSRV'],
  ['connect', '2137', 'CONNECT'],
  ['acptsys', '2149', 'ACPTSYS'],
  ['dynamic3d', '2150', 'DYNAMIC3D'],
  ['docent', '2151', 'DOCENT'],
  ['gtp-user', '2152', 'GTP-User Plane'],
  ['apc-powerchute', '2160', 'American Power Conversion'],
  ['navisphere', '2162', 'Navisphere'],
  ['iwserver', '2166', 'iwserver'],
  ['eforward', '2181', 'eforward'],
  ['esignal', '2189', 'Real-time market data and decision support tools'],
  ['ici', '2200', 'ICI'],
  ['kali', '2213', 'kali'],
  ['gotodevice', '2217', 'Online device management application'],
  ['infocrypt', '2233', 'INFOCRYPT'],
  ['directplay', '2234', 'DirectPlay'],
  ['nani', '2236', 'Nani'],
  ['recipe', '2240', 'RECIPe'],
  ['hao', '2245', 'HaO'],
  ['xmquery', '2279', 'xmquery'],
  ['lnvpoller', '2280', 'LNVPOLLER'],
  ['lnvconsole', '2281', 'LNVCONSOLE'],
  ['lnvalarm', '2282', 'LNVALARM'],
  ['lnvstatus', '2283', 'LNVSTATUS'],
  ['lnvmaps', '2284', 'LNVMAPS'],
  ['lnvmailmon', '2285', 'LNVMAILMON'],
  ['dna', '2287', 'DNA'],
  ['netml', '2288', 'NETML'],
  ['cvmmon', '2300', 'CVMMON'],
  ['cpq-wbem', '2301', 'Compaq HTTP'],
  ['pehelp', '2307', 'pehelp'],
  ['sdhelp', '2308', 'sdhelp'],
  ['infolibria', '2319', 'InfoLibria'],
  ['rdlap', '2321', 'RDLAP'],
  ['ofsd', '2322', 'ofsd'],
  ['cosmocall', '2324', 'Cosmocall'],
  ['idcp', '2326', 'IDCP'],
  ['xingcsm', '2327', 'xingcsm'],
  ['nvd', '2329', 'NVD'],
  ['tscchat', '2330', 'TSCCHAT'],
  ['agentview', '2331', 'AGENTVIEW'],
  ['snapp', '2333', 'SNAPP'],
  ['ideesrv', '2337', 'ideesrv'],
  ['fcmsys', '2344', 'fcmsys'],
  ['dbm', '2345', 'dbm'],
  ['psbserver', '2350', 'psbserver'],
  ['psrserver', '2351', 'Pharos psrserver'],
  ['pslserver', '2352', 'pslserver'],
  ['pspserver', '2353', 'pspserver'],
  ['psprserver', '2354', 'psprserver'],
  ['psdbserver', '2355', 'psdbserver'],
  ['futrix', '2358', 'Futrix'],
  ['flukeserver', '2359', 'FlukeServer'],
  ['nexstorindltd', '2360', 'NexstorIndLtd'],
  ['tl1', '2361', 'TL1'],
  ['digiman', '2362', 'digiman'],
  ['dbref', '2365', 'dbref'],
  ['opentable', '2368', 'OpenTable'],
  ['rsmtp', '2390', 'RSMTP'],
  ['ms-olap', '2393', 'Microsoft OLAP'],
  ['wusage', '2396', 'Wusage'],
  ['ncl', '2397', 'NCL'],
  ['orbiter', '2398', 'Orbiter'],
  ['filemaker-announcement', '2399', 'Filemaker relational database application'],
  ['cvspserver', '2401', 'CVS pserver'],
  ['jediserver', '2406', 'JediServer'],
  ['orion', '2407', 'Orion'],
  ['optimanet', '2408', 'OptimaNet'],
  ['cdn', '2412', 'CDN'],
  ['beeyond', '2414', 'Beeyond'],
  ['cas', '2418', 'cas'],
  ['crmsbits', '2422', 'CRMSBITS'],
  ['rnrp', '2423', 'RNRP'],
  ['venus', '2430', 'venus'],
  ['codasrv', '2432', 'codasrv'],
  ['optilogic', '2435', 'OptiLogic'],
  ['unicontrol', '2437', 'UniControl'],
  ['msp', '2438', 'MSP'],
  ['sybasedbsynch', '2439', 'SybaseDBSynch'],
  ['netangel', '2442', 'Netangel'],
  ['dtn1', '2445', 'DTN1'],
  ['bues_service', '2446', 'bues_service'],
  ['hpppssvr', '2448', 'hpppsvr'],
  ['ratl', '2449', 'RATL'],
  ['netadmin', '2450', 'netadmin'],
  ['netchat', '2451', 'netchat'],
  ['snifferclient', '2452', 'SnifferClient'],
  ['griffin', '2458', 'griffin'],
  ['community', '2459', 'Community'],
  ['qadmifoper', '2461', 'qadmifoper'],
  ['qadmifevent', '2462', 'qadmifevent'],
  ['seaodbc', '2471', 'SeaODBC'],
  ['c3', '2472', 'C3'],
  ['tsilb', '2489', 'TSILB'],
  ['groove', '2492', 'groove'],
  ['dirgis', '2496', 'DIRGIS'],
  ['unicontrol', '2499', 'UniControl'],
  ['jbroker', '2506', 'jbroker'],
  ['spock', '2507', 'spock'],
  ['jdatastore', '2508', 'JDataStore'],
  ['fjmpss', '2509', 'fjmpss'],
  ['fjappmgrbulk', '2510', 'fjappmgrbulk'],
  ['metastorm', '2511', 'Metastorm'],
  ['willy', '2518', 'Willy'],
  ['globmsgsvc', '2519', 'globmsgsvc'],
  ['windb', '2522', 'WinDb'],
  ['ovtopmd', '2532', 'OVTOPMD'],
  ['snifferserver', '2533', 'SnifferServer'],
  ['madcap', '2535', 'MADCAP'],
  ['btpp2audctr1', '2536', 'btpp2audctr1'],
  ['lonworks', '2540', 'LonWorks'],
  ['lonworks2', '2541', 'LonWorks2'],
  ['reftek', '2543', 'REFTEK'],
  ['vytalvaultbrtp', '2546', 'vytalvaultbrtp'],
  ['vytalvaultvsmp', '2547', 'vytalvaultvsmp'],
  ['vytalvaultpipe', '2548', 'vytalvaultpipe'],
  ['ipass', '2549', 'IPASS'],
  ['ads', '2550', 'ADS'],
  ['efidiningport', '2553', 'efidiningport'],
  ['lstp', '2559', 'LSTP'],
  ['labrat', '2560', 'labrat'],
  ['mosaixcc', '2561', 'MosaixCC'],
  ['delibo', '2562', 'Delibo'],
  ['cecsvc', '2571', 'CECSVC'],
  ['ibp', '2572', 'IBP'],
  ['hl7', '2575', 'HL7'],
  ['mpfoncl', '2579', 'mpfoncl'],
  ['tributary', '2580', 'Tributary'],
  ['mon', '2583', 'MON'],
  ['cyaserv', '2584', 'cyaserv'],
  ['masc', '2587', 'MASC'],
  ['privilege', '2588', 'Privilege'],
  ['idotdist', '2590', 'idotdist'],
  ['netrek', '2592', 'netrek'],
  ['worldfusion', '2595', 'World Fusion'],
  ['hpstgmgr', '2600', 'HPSTGMGR'],
  ['lionhead', '2611', 'LIONHEAD'],
  ['smntubootstrap', '2613', 'SMNTUBootstrap'],
  ['firepower', '2615', 'firepower'],
  ['bruce', '2619', 'bruce'],
  ['lpsrecommender', '2620', 'LPSRecommender'],
  ['metricadbc', '2622', 'MetricaDBC'],
  ['lmdp', '2623', 'LMDP'],
  ['aria', '2624', 'Aria'],
  ['gbjd816', '2626', 'gbjd816'],
  ['dict', '2628', 'DICT'],
  ['sitaraserver', '2629', 'sitaraserver'],
  ['sitaramgmt', '2630', 'sitaramgmt'],
  ['sitaradir', '2631', 'sitaradir'],
  ['interintelli', '2633', 'InterIntelli'],
  ['solve', '2636', 'Solve'],
  ['aminet', '2639', 'AMInet'],
  ['tragic', '2642', 'Tragic'],
  ['syncserver', '2647', 'SyncServer'],
  ['upsnotifyprot', '2648', 'Upsnotifyprot'],
  ['vpsipport', '2649', 'VPSIPPORT'],
  ['eristwoguns', '2650', 'eristwoguns'],
  ['ebinsite', '2651', 'EBInSite'],
  ['interpathpanel', '2652', 'InterPathPanel'],
  ['sonus', '2653', 'Sonus'],
  ['kana', '2656', 'Kana'],
  ['olhost', '2661', 'OLHOST'],
  ['extensis', '2666', 'extensis'],
  ['toad', '2669', 'TOAD'],
  ['newlixreg', '2671', 'newlixreg'],
  ['nhserver', '2672', 'nhserver'],
  ['ewnn', '2674', 'ewnn'],
  ['simslink', '2676', 'SIMSLink'],
  ['mpnjsomb', '2681', 'mpnjsomb'],
  ['mpnjsosv', '2684', 'mpnjsosv'],
  ['mpnjsocl', '2685', 'mpnjsocl'],
  ['mpnjsomg', '2686', 'mpnjsomg'],
  ['fastlynx', '2689', 'FastLynx'],
  ['vspread', '2695', 'VSPREAD'],
  ['tqdata', '2700', 'tqdata'],
  ['emcsymapiport', '2707', 'EMCSYMAPIPORT'],
  ['supermon', '2709', 'Supermon'],
  ['raven1', '2713', 'Raven1'],
  ['raven2', '2714', 'Raven2'],
  ['hpstgmgr2', '2715', 'HPSTGMGR2'],
  ['wkars', '2720', 'wkars'],
  ['qotps', '2724', 'qotps'],
  ['tams', '2726', 'TAMS'],
  ['sqdr', '2728', 'SQDR'],
  ['g5m', '2732', 'G5M'],
  ['alarm', '2740', 'Alarm'],
  ['tsb', '2741', 'TSB'],
  ['tsb2', '2742', 'TSB2'],
  ['murx', '2743', 'murx'],
  ['honyaku', '2744', 'honyaku'],
  ['urbisnet', '2745', 'URBISNET'],
  ['cpudpencap', '2746', 'CPUDPENCAP'],
  ['cnrp', '2757', 'CNRP'],
  ['uadtc', '2767', 'UADTC'],
  ['uacs', '2768', 'UACS'],
  ['exce', '2769', 'eXcE'],
  ['veronica', '2770', 'Veronica'],
  ['auris', '2772', 'auris'],
  ['smpp', '2775', 'SMPP'],
  ['whosells', '2781', 'whosells'],
  ['everydayrc', '2782', 'everydayrc'],
  ['aises', '2783', 'AISES'],
  ['initlsmsad', '2793', 'initlsmsad'],
  ['aaftp', '2794', 'aaftp'],
  ['livestats', '2795', 'LiveStats'],
  ['igcp', '2801', 'IGCP'],
  ['btprjctrl', '2803', 'btprjctrl'],
  ['cspuni', '2806', 'cspuni'],
  ['cspmulti', '2807', 'cspmulti'],
  ['gsiftp', '2811', 'GSI FTP'],
  ['atmtcp', '2812', 'atmtcp'],
  ['rmlnk', '2818', 'rmlnk'],
  ['univision', '2820', 'UniVision'],
  ['ka0wuc', '2822', 'ka0wuc'],
  ['silkp1', '2829', 'silkp1'],
  ['silkp2', '2830', 'silkp2'],
  ['silkp3', '2831', 'silkp3'],
  ['silkp4', '2832', 'silkp4'],
  ['glishd', '2833', 'glishd'],
  ['evtp', '2834', 'EVTP'],
  ['catalyst', '2836', 'catalyst'],
  ['repliweb', '2837', 'Repliweb'],
  ['starbot', '2838', 'Starbot'],
  ['nmsigport', '2839', 'NMSigPort'],
  ['pdnet', '2843', 'PDnet'],
  ['fxp', '2849', 'FXP'],
  ['metaconsole', '2850', 'MetaConsole'],
  ['webemshttp', '2851', 'webemshttp'],
  ['ispipes', '2853', 'ISPipes'],
  ['infomover', '2854', 'InfoMover'],
  ['cesdinv', '2856', 'cesdinv'],
  ['simctlp', '2857', 'SimCtIP'],
  ['ecnp', '2858', 'ECNP'],
  ['iwlistener', '2866', 'iwlistener'],
  ['icslap', '2869', 'ICSLAP'],
  ['daishi', '2870', 'daishi'],
  ['radix', '2872', 'RADIX'],
  ['dxmessagebase1', '2874', 'dxmessagebase1'],
  ['dxmessagebase2', '2875', 'dxmessagebase2'],
  ['bluelance', '2877', 'BLUELANCE'],
  ['aap', '2878', 'AAP'],
  ['ndsp', '2881', 'NDSP'],
  ['ndtp', '2882', 'NDTP'],
  ['ndnp', '2883', 'NDNP'],
  ['topflow', '2885', 'TopFlow'],
  ['responselogic', '2886', 'RESPONSELOGIC'],
  ['wlccp', '2887', 'Wireless LAN Context Control Protocol'],
  ['spcsdlobby', '2888', 'SPCSDLOBBY'],
  ['rsom', '2889', 'RSOM'],
  ['cspclmulti', '2890', 'CSPCLMULTI'],
  ['snifferdata', '2892', 'SNIFFERDATA'],
  ['vseconnector', '2893', 'VSECONNECTOR'],
  ['powergemplus', '2899', 'POWERGEMPLUS'],
  ['quicksuite', '2900', 'QUICKSUITE'],
  ['allstorcns', '2901', 'ALLSTORCNS'],
  ['suitcase', '2903', 'SUITCASE'],
  ['m2ua', '2904', 'M2UA'],
  ['m3ua', '2905', 'M3UA'],
  ['caller9', '2906', 'CALLER9'],
  ['mao', '2908', 'mao'],
  ['tdaccess', '2910', 'TDAccess'],
  ['blockade', '2911', 'Blockade'],
  ['epicon', '2912', 'Epicon'],
  ['roboer', '2919', 'roboER'],
  ['roboeda', '2920', 'roboEDA'],
  ['unimobilectrl', '2927', 'UNIMOBILECTRL'],
  ['incp', '2932', 'INCP'],
  ['qtp', '2935', 'QTP'],
  ['otpatch', '2936', 'OTPatch'],
  ['ttnrepository', '2943', 'TTNRepository'],
  ['fjsvmpor', '2946', 'FJSVmpor'],
  ['gpsd', '2947', 'GPSD'],
  ['wap-push', '2948', 'WAP PUSH'],
  ['wap-pushsecure', '2949', 'WAP PUSH SECURE'],
  ['esip', '2950', 'ESIP'],
  ['ottp', '2951', 'OTTP'],
  ['mpfwsas', '2952', 'MPFWSAS'],
  ['ovalarmsrv', '2953', 'OVALARMSRV'],
  ['csnotify', '2955', 'CSNOTIFY'],
  ['ovrimosdbman', '2956', 'OVRIMOSDBMAN'],
  ['jmact5', '2957', 'JAMCT5'],
  ['jmact6', '2958', 'JAMCT6'],
  ['rmopagt', '2959', 'RMOPAGT'],
  ['dfoxserver', '2960', 'DFOXSERVER'],
  ['enpp', '2968', 'ENPP'],
  ['essp', '2969', 'ESSP'],
  ['signal', '2974', 'Signal'],
  ['mylxamport', '2981', 'MYLXAMPORT'],
  ['netplan', '2983', 'NETPLAN'],
  ['hpidsadmin', '2984', 'HPIDSADMIN'],
  ['hpidsagent', '2985', 'HPIDSAGENT'],
  ['stonefalls', '2986', 'STONEFALLS'],
  ['identify', '2987', 'identify'],
  ['boscap', '2990', 'BOSCAP'],
  ['itb301', '2992', 'ITB301'],
  ['idrs', '2995', 'IDRS'],
  ['vsixml', '2996', 'vsixml'],
  ['rebol', '2997', 'REBOL'],
  ['hbci', '3000', 'HBCI'],
  ['cgms', '3003', 'CGMS'],
  ['cifs', '3020', 'CIFS'],
  ['csregagent', '3022', 'CSREGAGENT'],
  ['magicnotes', '3023', 'magicnotes'],
  ['nds_sso', '3024', 'NDS_SSO'],
  ['LiebDevMgmt_C', '3027', 'LiebDevMgmt_C'],
  ['LiebDevMgmt_DM', '3028', 'LiebDevMgmt_DM'],
  ['LiebDevMgmt_A', '3029', 'LiebDevMgmt_A'],
  ['pdb', '3033', 'PDB'],
  ['journee', '3042', 'journee'],
  ['brp', '3043', 'BRP'],
  ['responsenet', '3045', 'ResponseNet'],
  ['nsws', '3049', 'NSWS'],
  ['gds_db', '3050', 'GDS DataBase'],
  ['videobeans', '3058', 'videobeans'],
  ['qsoft', '3059', 'qsoft'],
  ['interserver', '3060', 'interserver'],
  ['cautcpd', '3061', 'cautcpd'],
  ['slinterbase', '3065', 'slinterbase'],
  ['netattachsdmp', '3066', 'NETATTACHSDMP'],
  ['fjhpjp', '3067', 'FJHPJP'],
  ['ls3', '3069', 'ls3'],
  ['mgxswitch', '3070', 'MGXSWITCH'],
  ['orbix-locator', '3075', 'Orbix 2000 Locator'],
  ['orbix-config', '3076', 'Orbix 2000 Config'],
  ['orbix-loc-ssl', '3077', 'Orbix 2000 Locator SSL'],
  ['stm_pproc', '3080', 'stm_pproc'],
  ['pcihreq', '3085', 'PCIHReq'],
  ['xdtp', '3088', 'eXtensible Data Transfer Protocol'],
  ['cardbox', '3105', 'Cardbox'],
  ['pkagent', '3118', 'PKAgent'],
  ['squid', '3128', 'Squid Proxy Cache'],
  ['icpv2', '3130', 'ICPv2'],
  ['vmodem', '3141', 'VMODEM'],
  ['tarantella', '3144', 'Tarantella'],
  ['rfio', '3147', 'RFIO'],
  ['sflm', '3162', 'SFLM'],
  ['imprs', '3164', 'IMPRS'],
  ['poweroncontact', '3167', 'poweroncontact'],
  ['poweronnud', '3168', 'poweronnud'],
  ['spandataport', '3193', 'SpanDataPort'],
  ['intraintra', '3202', 'IntraIntra'],
  ['avocent', '3211', 'Secure management and installation discovery'],
  ['smartpackets', '3218', 'EMC SmartPackets'],
  ['onesaf', '3244', 'OneSAF'],
  ['iscsi-target', '3260', 'Internet Small Computer System Interface'],
  ['winshadow', '3261', 'winShadow'],
  ['necp', '3262', 'NECP'],
  ['msft-gc', '3268', 'Microsoft Global Catalog'],
  ['msft-gc-ssl', '3269', 'Microsoft Global Catalog with LDAP/SSL'],
  ['verismart', '3270', 'Verismart'],
  ['samd', '3275', 'SAMD'],
  ['admind', '3279', 'admind'],
  ['sysopt', '3281', 'SYSOPT'],
  ['datusorb', '3282', 'Datusorb'],
  ['net-assistant', '3283', 'net-assistant'],
  ['4talk', '3284', '4Talk'],
  ['plato', '3285', 'Plato'],
  ['directvdata', '3287', 'DIRECTVDATA'],
  ['cops', '3288', 'COPS'],
  ['enpc', '3289', 'ENPC'],
  ['deskview', '3298', 'DeskView'],
  ['pdrncs', '3299', 'pdrncs'],
  ['mysql', '3306', 'database management system'],
  ['cdid', '3315', 'CDID'],
  ['vnsstr', '3321', 'VNSSTR'],
  ['sftu', '3326', 'SFTU'],
  ['bbars', '3327', 'BBARS'],
  ['directv-web', '3334', 'Direct TV Webcasting'],
  ['directv-soft', '3335', 'Direct TV Software Updates'],
  ['directv-tick', '3336', 'Direct TV Tickers'],
  ['directv-catlg', '3337', 'Direct TV Data Catalog'],
  ['webtie', '3342', 'WebTIE'],
  ['influence', '3345', 'Influence'],
  ['findviatv', '3350', 'FINDVIATV'],
  ['fatpipe', '3353', 'FATPIPE'],
  ['suitjd', '3354', 'SUITJD'],
  ['upnotifyps', '3356', 'UPNOTIFYPS'],
  ['contentserver', '3365', 'contentserver'],
  ['wsicopy', '3378', 'WSICOPY'],
  ['socorfs', '3379', 'SOCORFS'],
  ['geneous', '3381', 'Geneous'],
  ['qnxnetman', '3385', 'qnxnetman'],
  ['ms-wbt', '3389', 'Microsoft Windows based Terminal Services'],
  ['savant', '3391', 'SAVANT'],
  ['mercantile', '3398', 'Mercantile'],
  ['csms', '3399', 'CSMS'],
  ['csms2', '3400', 'CSMS2'],
  ['filecast', '3401', 'filecast'],
  ['xmlblaster', '3412', 'xmlBlaster'],
  ['castorproxy', '3450', 'CAStorProxy'],
  ['d3winosfi', '3458', 'D3WinOSFI'],
  ['workflow', '3466', 'WORKFLOW'],
  ['rcst', '3467', 'RCST'],
  ['pluribus', '3469', 'Pluribus'],
  ['jt400', '3470', 'jt400'],
  ['stun-nat', '3478', 'Session Traversal Utilities for NAT (STUN)'],
  ['celatalk', '3485', 'CelaTalk'],
  ['ipether232port', '3497', 'ipEther232Port'],
  ['joltid', '3531', 'Joltid'],
  ['snac', '3536', 'SNAC'],
  ['interworld', '3548', 'Interworld'],
  ['sdbproxy', '3562', 'SDBProxy'],
  ['m2pa', '3565', 'M2PA'],
  ['isomair', '3589', 'isomair'],
  ['mediaspace', '3594', 'MediaSpace'],
  ['shareapp', '3595', 'ShareApp'],
  ['echonet', '3610', 'ECHONET'],
  ['volley', '3625', 'Volley'],
  ['distcc', '3632', 'Distributed Compiler'],
  ['opscenter', '3636', 'OpsCenter'],
  ['audiojuggler', '3643', 'AudioJuggler'],
  ['ssowatch', '3644', 'ssowatch'],
  ['cyc', '3645', 'Cyc'],
  ['pserver', '3662', 'pserver'],
  ['svn', '3690', 'Apache subversion software revision control'],
  ['gttp', '3693', 'GTTP'],
  ['sagectlpanel', '3698', 'SAGECTLPANEL'],
  ['netcelera', '3701', 'NetCelera'],
  ['xsync', '3721', 'Xsync'],
  ['blizwow', '3724', 'World of Warcraft Gaming Protocol'],
  ['sasg', '3744', 'SASG'],
  ['webdata', '3748', 'webData'],
  ['cimtrak', '3749', 'CimTrak'],
  ['ctdhercules', '3773', 'ctdhercules'],
  ['zicom', '3774', 'ZICOM'],
  ['bfd', '3784', 'BFD'],
  ['fintrx', '3787', 'Fintrx'],
  ['idps', '3797', 'idps'],
  ['minilock', '3798', 'Minilock'],
  ['vhd', '3802', 'VHD'],
  ['soniqsync', '3803', 'SoniqSync'],
  ['amp', '3811', 'AMP'],
  ['tapeware', '3817', 'Yosemite tech tapeware'],
  ['rnm', '3844', 'RNM'],
  ['opentrac', '3855', 'OpenTRAC'],
  ['informer', '3856', 'INFORMER'],
  ['diameter', '3868', 'DIAMETER'],
  ['fagordnc', '3873', 'fagordnc'],
  ['pnbscada', '3875', 'PNBSCADA'],
  ['microgrid', '3880', 'microgrid'],
  ['charsetmgr', '3903', 'CharsetMGR'],
  ['pktcablemmcops', '3918', 'PacketCableMultimediaCOPS'],
  ['hyperip', '3919', 'HyperIP'],
  ['winport', '3926', 'WINPort'],
  ['natdataservice', '3927', 'ScsTsr'],
  ['mailprox', '3936', 'Mailprox'],
  ['centerline', '3987', 'Centerline'],
  ['terabase', '4000', 'Terabase'],
  ['newoak', '4001', 'NewOak'],
  ['taiclock', '4014', 'TAICLOCK'],
  ['dnox', '4022', 'DNOX'],
  ['bxp', '4027', 'bitxpress'],
  ['wap-push-http', '4035', 'WAP Push OTA-HTTP port'],
  ['wap-push-https', '4036', 'WAP Push OTA-HTTP secure'],
  ['ldxp', '4042', 'LDXP'],
  ['lockd', '4045', 'NFS Lock Daemon Manager'],
  ['drmsfsd', '4098', 'drmsfsd'],
  ['dpcp', '4099', 'DPCP'],
  ['jomamqmonitor', '4114', 'JomaMQMonitor'],
  ['nettest', '4138', 'nettest'],
  ['pcoip', '4172', 'Virtual Desktop Infrastructure'],
  ['unicall', '4343', 'UNICALL'],
  ['vinainstall', '4344', 'VinaInstall'],
  ['itose', '4348', 'ITOSE'],
  ['saris', '4442', 'Saris'],
  ['pharos', '4443', 'Pharos'],
  ['krb524', '4444', 'KRB524'],
  ['upnotifyp', '4445', 'UPNOTIFYP'],
  ['privatewire', '4449', 'PrivateWire'],
  ['camp', '4450', 'Camp'],
  ['ibm-director', '4490', 'Element management system'],
  ['loglogic', '4514', 'Log and security management'],
  ['worldscores', '4545', 'WorldScores'],
  ['hylafax', '4559', 'HylaFAX'],
  ['tram', '4567', 'TRAM'],
  ['iax', '4569', 'Inter-Asterisk eXchange'],
  ['piranha1', '4600', 'Piranha1'],
  ['piranha2', '4601', 'Piranha2'],
  ['smaclmgr', '4660', 'smaclmgr'],
  ['htcp', '4827', 'HTCP'],
  ['abbs', '4885', 'ABBS'],
  ['radmin-port', '4899', 'Remote Admin'],
  ['telelpathstart', '5010', 'TelepathStart'],
  ['telelpathattack', '5011', 'TelepathAttack'],
  ['asnaacceler8db', '5042', 'asnaacceler8db'],
  ['unot', '5055', 'UNOT'],
  ['sip', '5060', 'Session Initiation Protocol'],
  ['sip-tls', '5061', 'Secure Session Initiation Protocol tunneled in SSL or T'],
  ['powerschool', '5071', 'PowerSchool'],
  ['ife_icorp', '5165', 'ife_1corp'],
  ['xmpp-client', '5222', 'Extensible Messaging and Presence Protocol (XMPP) Clien'],
  ['capwap-control', '5246', 'Control And Provisioning of Wireless Access Points Cont'],
  ['capwap-data', '5247', 'Control And Provisioning of Wireless Access Points Data'],
  ['igateway', '5250', 'iGateway'],
  ['pk', '5272', 'PK'],
  ['cfengine', '5308', 'CFengine'],
  ['outlaws', '5310', 'Outlaws'],
  ['goboogy', '5325', 'P2P file sharing'],
  ['war-rock', '5330', 'War-rock online gaming'],
  ['stuns', '5349', 'STUN over TLS'],
  ['llmnr', '5355', 'LLMNR'],
  ['mftp', '5402', 'MFTP'],
  ['netsupport', '5405', 'NetSupport'],
  ['actnet', '5411', 'ActNet'],
  ['continuus', '5412', 'Continuus'],
  ['wwiotalk', '5413', 'WWIOTALK'],
  ['statusd', '5414', 'StatusD'],
  ['mcntp', '5418', 'MCNTP'],
  ['virtualuser', '5423', 'VIRTUALUSER'],
  ['devbasic', '5426', 'DEVBASIC'],
  ['telaconsole', '5428', 'TELACONSOLE'],
  ['postgresql', '5432', 'PostgreSQL database'],
  ['silkmeter', '5461', 'SILKMETER'],
  ['udpplus', '5566', 'UDPPlus'],
  ['pcanywheredata', '5631', 'pcANYWHEREdata'],
  ['pcanywherestat', '5632', 'pcANYWHEREstat'],
  ['omhs', '5723', 'Operations Manager - Health Service'],
  ['netagent', '5771', 'NetAgent'],
  ['icmpd', '5813', 'ICMPD'],
  ['wherehoo', '5859', 'WHEREHOO'],
  ['nuxsl', '5991', 'NUXSL'],
  ['cvsup', '5999', 'Cvsup'],
  ['xwindows', '6000', 'X-Windows remote access'],
  ['winpharaoh', '6065', 'WinPharaoh'],
  ['ewctsp', '6066', 'EWCTSP'],
  ['srb', '6067', 'SRB'],
  ['gsmp', '6068', 'GSMP'],
  ['trip', '6069', 'TRIP'],
  ['messageasap', '6070', 'Messageasap'],
  ['ssdtp', '6071', 'SSDTP'],
  ['directplay8', '6073', 'DirectPlay8'],
  ['Konspire2b', '6085', 'konspire2b p2p network'],
  ['rets', '6103', 'RETS'],
  ['dbdb', '6104', 'DBDB'],
  ['dtspcd', '6112', 'dtspcd'],
  ['crip', '6253', 'CRIP'],
  ['dclink', '6305', 'Automated Data Collection Solution'],
  ['sflow', '6343', 'Sflow traffic monitoring'],
  ['cooltalk', '6499', 'Internet telephony tool'],
  ['xdsxdm', '6558', ''],
  ['parsec-game', '6582', 'Parsec Gameserver'],
  ['p10', '6665', 'Internet relay chat'],
  ['vision_server', '6672', 'vision_server'],
  ['vision_elmd', '6673', 'vision_elmd'],
  ['ibprotocol', '6714', 'Internet Backplane Protocol'],
  ['hnmp', '6790', 'HNMP'],
  ['iccrushmore', '6850', 'ICCRUSHMORE'],
  ['muse', '6888', 'MUSE'],
  ['ms-ocs-file-transfer', '6891', 'Microsoft Office Communications Server and File Transfe'],
  ['jmact3', '6961', 'JMACT3'],
  ['jmevt2', '6962', 'jmevt2'],
  ['swismgr1', '6963', 'swismgr1'],
  ['swismgr2', '6964', 'swismgr2'],
  ['swistrap', '6965', 'swistrap'],
  ['swispol', '6966', 'swispol'],
  ['acmsoda', '6969', 'acmsoda'],
  ['rdt', '6970', 'Real Data Transport'],
  ['MobilitySrv', '6997', 'Mobility XE protocol'],
  ['arcp', '7070', 'ARCP'],
  ['font-service', '7100', 'X font service'],
  ['clutild', '7174', 'Clutild'],
  ['dlip', '7201', 'DLIP'],
  ['maxdb', '7210', 'MaxDB relational database management system'],
  ['heroix-longitude', '7220', 'Network performance monitoring software'],
  ['winqedit', '7395', 'winqedit'],
  ['faximum', '7437', 'Faximum'],
  ['tesla-sys-msg', '7631', 'TESLA System Messaging'],
  ['cbt', '7777', 'cbt'],
  ['interwise', '7778', 'Interwise'],
  ['vstat', '7779', 'VSTAT'],
  ['minivend', '7786', 'MINIVEND'],
  ['supercell', '7967', 'Supercell'],
  ['irdmi2', '7999', 'iRDMI2'],
  ['irdmi', '8000', 'iRDMI'],
  ['mindprint', '8033', 'MindPrint'],
  ['http-alt', '8080', 'HTTP Alternate'],
  ['dbabble', '8132', 'dbabble'],
  ['patrol', '8160', 'Patrol'],
  ['vmware-fdm', '8182', 'VMware Fault Domain Manager'],
  ['trivnet1', '8200', 'TRIVNET'],
  ['trivnet2', '8201', 'TRIVNET'],
  ['aruba-papi', '8211', 'Aruba access point manager'],
  ['cvd', '8400', 'cvd'],
  ['sabarsd', '8401', 'sabarsd'],
  ['abarsd', '8402', 'abarsd'],
  ['admind', '8403', 'admind'],
  ['npmp', '8450', 'npmp'],
  ['ibus', '8733', 'iBus'],
  ['openqueue', '8764', 'OPENQUEUE'],
  ['mcafee-update', '8801', 'Update client of McAfee-computer security software'],
  ['truecm', '8804', 'truecm'],
  ['cddbp-alt', '8880', 'CD DataBase Protocol'],
  ['cisco-nac', '8905', 'Ciscos Network Access Control (NAC) system'],
  ['cslistener', '9000', 'CSlistener'],
  ['tambora', '9020', 'TAMBORA'],
  ['applejuice', '9022', 'Apple juice P2P file sharing'],
  ['sqlexec', '9088', 'SQL Informix'],
  ['websm', '9090', 'WebSM'],
  ['hp-pdl-datastr', '9100', 'PDL data streaming port'],
  ['peerwire', '9104', 'PeerWire'],
  ['netlock1', '9160', 'NetLOCK1'],
  ['netlock2', '9161', 'NetLOCK2'],
  ['netlock3', '9162', 'NetLOCK3'],
  ['netlock4', '9163', 'NetLOCK4'],
  ['netlock5', '9164', 'NetLOCK5'],
  ['wap-wsp', '9200', 'WAP connectionless session service'],
  ['wap-wsp-wtp', '9201', 'WAP session service'],
  ['wap-wsp-s', '9202', 'WAP secure connectionless session service'],
  ['wap-wsp-wtp-s', '9203', 'WAP secure session service'],
  ['wap-vcard', '9204', 'WAP vCard'],
  ['wap-vcal', '9205', 'WAP vCal'],
  ['wap-vcard-s', '9206', 'WAP vCard Secure'],
  ['wap-vcal-s', '9207', 'WAP vCal Secure'],
  ['callwaveiam', '9283', 'CallWaveIAM'],
  ['cumulus', '9287', 'Cumulus'],
  ['guibase', '9321', 'guibase'],
  ['mpidcmgr', '9343', 'MpIdcMgr'],
  ['mphlpdmc', '9344', 'Mphlpdmc'],
  ['fjdmimgr', '9374', 'fjdmimgr'],
  ['fjinvmgr', '9396', 'fjinvmgr'],
  ['mpidcagt', '9397', 'MpIdcAgt'],
  ['ismserver', '9500', 'ismserver'],
  ['oracle-bi', '9703', 'Oracle Business Intelligence'],
  ['rasadv', '9753', 'rasadv'],
  ['monkeycom', '9898', 'MonkeyCom'],
  ['iua', '9900', 'IUA'],
  ['domaintime', '9909', 'domaintime'],
  ['distinct32', '9998', 'Distinct32'],
  ['distinct', '9999', 'distinct'],
  ['ndmp', '10000', 'Network Data Management Protocol'],
  ['hamachi', '10080', 'Shareware VPN application'],
  ['ezrelay', '10103', 'eZrelay'],
  ['irisa', '11000', 'IRISA'],
  ['metasys', '11001', 'Metasys'],
  ['tradestation', '11010', 'Technical analysis software'],
  ['smsqp', '11201', 'smsqp'],
  ['imip', '11319', 'IMIP'],
  ['hivep', '12172', 'HiveP'],
  ['lwapp', '12222', 'Lightweight Access Point Protocol'],
  ['sua', '14001', 'SUA'],
  ['websense', '15868', 'Web filtering software'],
  ['netserialext1', '16360', 'netserialext1'],
  ['netserialext2', '16361', 'netserialext2'],
  ['netserialext3', '16367', 'netserialext3'],
  ['netserialext4', '16368', 'netserialext4'],
  ['chipper', '17219', 'Chipper'],
  ['checkpoint-cpmi', '18190', 'Check Point Management Interface'],
  ['gkrellm', '19150', 'Monitoring program'],
  ['mtrgtrans', '19398', 'mtrgtrans'],
  ['sxuptp', '19540', 'SXUPTP'],
  ['softros-messenger-ft', '19880', 'Softros LAN Messenger and File Transfer'],
  ['dnp', '19999', 'Distributed Network Protocol'],
  ['dnp', '20000', 'DNP'],
  ['microsan', '20001', 'MicroSAN'],
  ['hitachi-spc', '20016', 'Hitachi Universal Storage Platform'],
  ['call-of-duty', '20500', 'Call of duty online gaming'],
  ['track', '20670', 'Track'],
  ['webphone', '21845', 'webphone'],
  ['snapenetio', '22000', 'SNAPenetIO'],
  ['optocontrol', '22001', 'OptoControl'],
  ['wnn6', '22273', 'wnn6'],
  ['filesphere', '24242', 'fileSphere'],
  ['binkp', '24554', 'BINKP'],
  ['flashfiler', '24677', 'FlashFiler'],
  ['synergy', '24800', 'Computer resources sharing application'],
  ['niobserver', '25901', 'NIObserver'],
  ['niprobe', '25903', 'NIProbe'],
  ['xfire', '25999', 'Freeware instant messaging service'],
  ['quake', '26000', 'quake'],
  ['ezproxy', '26260', 'eZproxy'],
  ['ezmeeting', '26261', 'eZmeeting'],
  ['imagepump', '27345', 'ImagePump'],
  ['trinoo', '27665', 'Set of computer programs to conduct a DDoS attack'],
  ['netvmg-traceroute', '33435', 'Routing diagnostics tool'],
  ['teamsound', '40001', 'Voice conferencing software for online game'],
  ['cscp', '40841', 'CSCP'],
  ['csccredir', '40842', 'CSCCREDIR'],
  ['csccfirewall', '40843', 'CSCCFIREWALL'],
  ['reachout', '43188', 'REACHOUT'],
  ['bacnet', '47808', 'Building Automation and Control Networks'],
  ['iqobject', '48619', 'iqobject'],
  ['desknets', '52300', 'Groupware application for resource sharing']
]

if ServiceObject.count.zero?
  time_now = Time.now.to_s(:db)
  values = services.map { |s| "('#{s[0]}', '#{s[1]}', '#{s[2]}', 'ServiceObject', '#{time_now}', '#{time_now}')" }.join(",")
  ActiveRecord::Base.connection.execute("INSERT INTO redborder_objects (name, value, comment, type, created_at, updated_at) VALUES #{values}")
  if File.exist?('/var/www/rb-rails/files/objects/services.json')
    system("knife data bag from file rBglobal /var/www/rb-rails/files/objects/services.json")
  end
else
  services.each do |service|
    ServiceObject.find_or_create_by(name: service[0], value: service[1], comment: service[2])
  end
end
