#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class Chef
	class Role
    # Return the manager role
		def self.manager
      role = self.load('manager')
      # Protect against loggly undefined
      role.override_attributes['redborder']['rsyslog']['loggly'] ||= {}
      role.override_attributes['redborder']['logstash'] ||= {}
      role.override_attributes['redborder']['logstash']['traffic'] ||= {}
      role.override_attributes['redborder']['logstash']['intrusion'] ||= {}
      role.override_attributes['redborder']['logstash']['location'] ||= {}
      role.override_attributes['redborder']['logstash']['traffic']['macscrambling'] ||= "1"
      role.override_attributes['redborder']['logstash']['traffic']['geoip'] ||= "1"
      role.override_attributes['redborder']['logstash']['traffic']['macvendor'] ||= "1"
      role.override_attributes['redborder']['logstash']['traffic']['darklist'] ||= "1"
      role.override_attributes['redborder']['logstash']['traffic']['multienrichment'] ||= "1"
      role.override_attributes['redborder']['logstash']['intrusion']['multienrichment'] ||= "1"
      role.override_attributes['redborder']['logstash']['intrusion']['geoip'] ||= "1"
      role.override_attributes['redborder']['logstash']['intrusion']['macvendor'] ||= "1"
      role.override_attributes['redborder']['logstash']['intrusion']['darklist'] ||= "1"
      role.override_attributes['redborder']['logstash']['location']['macscrambling'] ||= "1"
      role.override_attributes['redborder']['logstash']['location']['macvendor'] ||= "1"
      role
    end
  end
end
