#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

RedBorder::Application.routes.draw do
  DittoCode::Exec.if 'ENTERPRISE' do

    resources :correlation_engine_rules do
      post :apply, on: :collection
      get :basic_rule_2, on: :collection
      post :create_basic_rule_2, on: :collection
      get :export_tree, on: :collection
      get :import_tree, on: :collection
      post :import_tree, on: :collection
    end

  end
end
