/*!  	
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

function base_url_flow (product) {
	return '/' + product + '/tops';
}

function render_elements_flow (e, start_time, end_time, granularitymilis, tab, granularity, value, type) {
	var param_data = {};
	if (tab === "conversation") {
	  value_conversation = [e.attr('data_filter').split(" ")[0], e.attr('data_filter').split(" ")[1]];
	  param_data = {
	    start_time: start_time,
	    end_time: "direction" === "left" ? end_time : end_time + granularitymilis / 1000,
	    value: value_conversation,
	    index: value,
	    granularity: granularity
	  }
	} else {
	  param_data = {
	    start_time: start_time,
	    end_time: "direction" === "left" ? end_time : end_time + granularitymilis / 1000,
	    value: value,
	    granularity: granularity
	  }

	  if (type === "cardinality-group") {
	    param_data.group = $('#graph_' + tab).data('groupby');
	  }
	}
  return param_data;
}