redBorder.widgets.graphs.hardwareinfo = function (container, widget) {
  var $container = $('#' + container);

  // Entry point for the graph
  function init(wtype) {
    draw();
  }

  function render() {
    getData();
  }

  function getData(){
    if (widget['property']['status'] !== null) {
      $container.html(widget['property']['status']);
    }
    redBorder.widgets.util.reloadDone($container.parents('.widget'));
  }

  // Draws the widget. This data comes directly from the widget
  // type selected. You should prepare the data to be used if needed.
  function draw(total) {
    //var title = $container.find('h4');
  }

  function reload() {
    getData();
  }

  function resize() {
    var height = (widget.name.length !== 0) ? 43 : 0;
    var h = $container.parents('.widget').height() - height;

    $container.css('height', h + 'px');
    $container.find('#info').css('height', $container.height() + 'px');
  }

  // Hide the main element when resizing
  function hide() {
    $container.fadeOut(100);
  }

  // Show the main element
  function show() {
    $container.fadeIn(100);
  }

  // Returns the graph object for debug purposes
  function getGraph() {
    return undefined;
  }

  // Returns the widget
  function getWidget() {
    return widget;
  }

  return {
    init: init,
    resize: resize,
    getGraph: getGraph,
    getWidget: getWidget,
    hide: hide,
    show: show,
    reload: reload,
    render: render
  }
}
