class CreateAccessPoints < ActiveRecord::Migration
  def change
    create_table :access_points do |t|
      t.string :ip_address
      t.string :mac_address
      t.string :name
      t.string :switch_name
      t.integer :switch_id
      t.float :latitude
      t.float :longitude
      t.float :x
      t.float :y
      t.references :sensor, index: true

      t.timestamps
    end

    add_index :access_points, :switch_id

  end
end
