/*!    
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

$(document).on('click', '#rule_db_versions tr.rule_source input.toggle_enable', function(e) {
  var rule_source_id = $(this).parents('tr').data('rule-source-id');
  if ($(this).is(':checked')) {
    $.ajax({
      url: "/rule_versions/source/"+ rule_source_id,
      type: "PATCH",
      dataType: "json",
      data: {rule_source: {enable: 1},
             authenticity_token: csrf}
    });
  } else {
    $.ajax({
      url: "/rule_versions/source/"+ rule_source_id,
      type: "PATCH",
      dataType: "json",
      data: {rule_source: {enable: 0},
             authenticity_token: csrf}
    });
  };
});

$(document).on('click', '#rule_db_versions tr.rule_db_version input.toggle_enable', function(e) {
  var rule_db_version_id = $(this).parents('tr').data('rule-db-version-id');
  if ($(this).is(':checked')) {
    $.ajax({
      url: "/rule_versions/"+ rule_db_version_id,
      type: "PATCH",
      dataType: "json",
      data: {rule_db_version: {checked: 1},
             authenticity_token: csrf}
    });
  } else {
    $.ajax({
      url: "/rule_versions/"+ rule_db_version_id,
      type: "PATCH",
      dataType: "json",
      data: {rule_db_version: {checked: 0},
             authenticity_token: csrf}
    });
  };
});