#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateRules < ActiveRecord::Migration
  def change
    create_table :rules do |t|
      t.integer :rule_sid
      t.integer :rule_gid, default: 1
      t.integer :rule_rev, default: 0
      t.string :msg
      t.string :short_msg
      t.string :protocol
      t.text :source_addr
      t.text :source_port
      t.text :target_addr
      t.text :target_port
      t.text :text
      t.boolean :default_enabled, default: true
      t.integer :users_count, default: 0
      t.boolean :is_new, default: false
      t.boolean :is_deprecated, default: false
      t.boolean :is_modified, default: false
      t.boolean :has_threshold, default: false
      t.text :threshold_options

      t.timestamps
    end
  end
end