#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateRuleSources < ActiveRecord::Migration
  def change
    create_table :rule_sources do |t|
      t.string :name
      t.string :description
      t.string :md5
      t.boolean :protected, default: false
      t.boolean :enable, default: false
      t.boolean :has_code, default: false
      t.string :code
      t.string :tgzurl
      t.string :md5url
      t.string :regexp_group_ignore
      t.string :regexp_classtype_ignore
      t.string :regexp_family_ignore
      t.text :search, default: nil
      t.text :so_rules
      t.attachment :cached_tgz

      t.timestamps
    end
  end
end
