#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################
module AddGlobalFiltersIPS
  def call(session, params)
    return unless params.is_a? Hash
    return unless params[:sensor_uuid]

    sensor = Sensor.find_by(uuid: params[:sensor_uuid])

    if sensor.try('is_sensor_group?')
      params[:group_uuid] = params[:sensor_uuid]
      params.delete(:sensor_uuid)
    end

    super(session, params)
  end
end

AddGlobalFilters.singleton_class.prepend AddGlobalFiltersIPS
