require 'test_helper'

class AddGlobalFiltersIPSTest < ActiveSupport::TestCase
  context 'Global Filters' do
    setup do
      @ips_group = sensors(:ips_group)
      @params = { sensor_uuid: @ips_group.uuid }
    end

    should 'add IPS group UUID' do
      session = {}
      AddGlobalFilters.call(session, @params)

      assert session[:global_filters]
      assert_equal session[:global_filters][:group_uuid], @ips_group.uuid
    end
  end
end
