/*!    
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

function base_url_monitor (product) {
	return '/monitor';
}

function render_elements_monitor (e, start_time, end_time, granularitymilis, tab, granularity, value, type) {
	sensor_name = e.attr('data_monitor').split(" - ")[0];
  group_name = e.attr('data_monitor').split(" - ")[1];
  param_data = {
    start_time: start_time,
    end_time: "direction" === "left" ? end_time : end_time + granularitymilis / 1000,
    monitor_sensor: sensor_name,
    monitor_tab: tab,
    granularity: granularity
  }
  if (group_name != undefined) { param_data['group_name'] = group_name; };

  return param_data;
}