require 'test_helper'

class SavedFilterTest < ActiveSupport::TestCase
  context 'Basic operations' do
    setup do
      @saved_filter = saved_filters(:admin_default)
      @admin = users(:admin)
      User.current_user = @admin
    end

    should 'set checksum before create or update' do
      checksum = @saved_filter.checksum
      @saved_filter.update(public: false)
      assert_equal false, @saved_filter.reload.public
      assert_not_equal checksum, @saved_filter.reload.checksum
    end
  end
end
