require 'test_helper'

class WidgetTest < ActiveSupport::TestCase
  should belong_to(:parent)

  context 'a user' do
    setup do
      @admin = users(:admin)
    end

    should 'create different types of widgets' do
      %w(stream heatmap custom ball box map text performance_index
         multiserie serie square bandwidth clients).each do |w|
        widget = widgets(:"admin_col_dashboard_#{w}")
        assert widget.valid?, 'Widget is valid.'
      end
    end
  end
end
