function mark_all_as_read_bulk() {
  var url = '/notifications/mark_all_as_read';
  fetch(url, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      'X-CSRF-Token': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
    }
  })
  .then(function(response) {
    return response.json();
  })
  .then(function(data) {
    if (data.success) {
      window.location.reload();
    } else {
      console.error('Error updating notifications');
    }
  })
  .catch(function(error) {
    console.error('Error:', error);
  });
}

function delete_all_notifications() {
  var url = '/notifications/bulk_delete';
  var data = {
    notifications: window.notifications_ids
  };

  fetch(url, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      'X-CSRF-Token': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
    },
    body: JSON.stringify(data)
  })
  .then(function(response) {
    return response.json();
  })
  .then(function(data) {
    if (data.success) {
      window.location.reload();
    } else {
      console.error('Error deleting notifications');
    }
  })
  .catch(function(error) {
    console.error('Error:', error);
  });
}

function mark_all_as_read() {
  var links = $('a[data-method="patch"][data-remote="true"]');

  links.each(function() {
    var link = $(this);

    var url = link.attr('href');

    $.ajax({
      url: url, 
      type: 'PATCH',
      dataType: 'html',
      headers: {
        'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
      },
      success: function(render) {
        eval(render);
      },
      error: function(xhr, status, error) {
        console.error('Error during fetch request:', error);
      }
    });
  });
}
