/*!    
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

$(document).on('click', 'ul.nav.nav-tabs.objects li', function() {
  var id = $(this).attr('id'),
      controller = '/objects',
      search = $('div#' + id + ' #search').val();
  if (id == 'app') controller = '/application_objects';

  $.ajax({
    url: '/objects/change_session_tab/' + id,
    remote: true,
    type: 'PATCH',
    success: function(data) {
      $('div.tab-pane').removeClass('in active');
      $('div.tab-pane#' + id).addClass('in active');
      $('a.import_objects').attr("href", controller + '/import/' + id);
      $('a.export_objects').attr("href", controller + '/export/' + id + '?search=' + search);
    }
  });

  return false;
});
