#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

module LookupsHelper
  def auto_resolve_ips(column, value)
    return unless value
    resolve_private_dns = RedBorder::CONFIG[:resolve_private_dns]
    return unless %w(src_name dst_name lan_ip_name wan_ip_name public_ip_name).include? column.to_s
    if !resolve_private_dns && value.match(Lookup::PRIVATE_IPS)
      'resolved cached'
    else
      'auto-resolv'
    end
  end
end
