#######################################################################
# Copyright (c) 2024 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

module PlaybookTemplatesHelper
  def integration_services_uniq
    IntegrationService.get_integrations.map { |is| [is.humanize, is] } || []
  end

  def actions_uniq(integration = nil)
    return [] if integration.nil? || integration.empty?
    IntegrationService.get_actions_by_integration(integration).keys.map { |is| [is.humanize, is] } || []
  end
end