class IncidentReportsHistorical < ApplicationRecord

  include StorageFile

  belongs_to :incident_reports

  attr_accessor :pdf_file_file_name

  storage_file :pdf_file, path: 'rb-webui/:class/:id', content_type: ['application/pdf']

  def pdf_file_path
    "rb-webui/#{self.class.table_name}/#{self.id}"
  end

  def pdf_file_uri
    pdf_uri
  end

  def delete_file(id)
    StorageFile.delete_file(pdf_file_path)
  end

end
