#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

# Use this setup block to configure all options available in SimpleForm.
SimpleForm.setup do |config|
  config.wrappers :bootstrap, tag: 'div', class: 'form-group', error_class: 'error' do |b|
    b.use :html5
    b.use :placeholder
    b.use :label
    b.use :input, class: 'form-control'
    # b.wrapper tag: 'div', class: 'controls' do |ba|
    #   ba.use :input
    #b.use :error, wrap_with: { tag: 'span', class: 'help-block' }
    b.use :hint, wrap_with: { tag: 'p', class: 'help-block' }
    # end
  end

  config.wrappers :prepend, tag: 'div', class: "form-group", error_class: 'error' do |b|
    b.use :html5
    b.use :placeholder
    b.use :label
    b.use :input, class: 'form-control'
    # b.wrapper tag: 'div', class: 'controls' do |input|
    #   input.wrapper tag: 'div', class: 'input-prepend' do |prepend|
    #     prepend.use :input
    #   end
    #   input.use :hint,  wrap_with: { tag: 'span', class: 'help-block' }
    #   input.use :error, wrap_with: { tag: 'span', class: 'help-block' }
    # end
  end

  config.wrappers :append, tag: 'div', class: "form-group", error_class: 'error' do |b|
    b.use :html5
    b.use :placeholder
    b.use :label
    b.use :input, class: 'form-control'
    # b.wrapper tag: 'div', class: 'controls' do |input|
    #   input.wrapper tag: 'div', class: 'input-append' do |append|
    #     append.use :input
    #   end
    #   input.use :hint,  wrap_with: { tag: 'span', class: 'help-block' }
    #   input.use :error, wrap_with: { tag: 'span', class: 'help-block' }
    # end
  end

  # Wrappers for forms and inputs using the Twitter Bootstrap toolkit.
  # Check the Bootstrap docs (http://twitter.github.com/bootstrap)
  # to learn about the different styles for forms and inputs,
  # buttons and other elements.
  config.default_wrapper = :bootstrap
end
