#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateEventFilters < ActiveRecord::Migration
  def change
    create_table :event_filters do |t|
      t.references :policy, index: true
      t.references :user, index: true
      t.integer :rule_sid
      t.integer :rule_gid
      t.string :filter_type
      t.integer :count, default: 1
      t.integer :seconds, default: 1
      t.integer :tracked_type, default: 1
      t.integer :position
      t.text :comment
      t.string :source_ip
      t.string :destination_ip
      
      t.timestamps
    end
  end
end
