#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateAlarms < ActiveRecord::Migration
  def change
    create_table :alarms do |t|
      t.string :name
      t.string :condition
      t.boolean :enabled
      t.datetime :fired
      t.integer :interval
      t.string :product_type
      t.integer :upper_limit
      t.integer :bottom_limit
      t.integer :time_window
      t.boolean :upper_limit_enabled
      t.boolean :bottom_limit_enabled
      t.integer :user_id
      t.string :aggregation
      t.boolean :notify_to_syslog
      t.boolean :notify_to_email
      t.string :monitor_tab
      t.string :email_list
      t.integer :multiplier_upper
      t.integer :multiplier_bottom
      t.integer :severity_id

      t.timestamps
    end
  end
end
