#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class ChangeCanEditToString < ActiveRecord::Migration
  def up
    change_column :dashboard_sensors, :can_edit, "character varying(255) USING CASE can_edit WHEN TRUE THEN 'all' ELSE 'none' END"
    change_column :report_sensors, :can_edit, "character varying(255) USING CASE can_edit WHEN TRUE THEN 'all' ELSE 'none' END"
  end

  def down
    change_column :dashboard_sensors, :can_edit, "boolean USING CASE can_edit WHEN 'none' THEN FALSE ELSE TRUE END"
    change_column :report_sensors, :can_edit, "boolean USING CASE can_edit WHEN 'none' THEN FALSE ELSE TRUE END"
  end
end
