class CreatePluginVersions < ActiveRecord::Migration
  def change
    create_table :plugin_versions do |t|
      t.string :version
      t.boolean :installed
      t.references :plugin, index: true, foreign_key: true, on_delete: :cascade

      t.timestamps null: false
    end
  end
end
