class AddLockableToUsers < ActiveRecord::Migration
  def change
    add_column :users, :failed_attempts, :integer, :default => 0
    add_column :users, :unlock_token, :string
    add_column :users, :locked_at, :datetime
  end
  #add_index :users, :unlock_token,         :unique => true ##This was commented when I did rake db:migrate

#   output was :

#   == 20200730085212 AddLockableToUsers: migrating ===============================
# -- add_column(:users, :failed_attempts, :integer, {:default=>0})
#    -> 0.2891s
# -- add_column(:users, :unlock_token, :string)
#    -> 0.0404s
# -- add_column(:users, :locked_at, :datetime)
#    -> 0.0403s
# == 20200730085212 AddLockableToUsers: migrated (0.3703s) ======================


# when I did it uncommented out put was:

#   -- add_index(:users, :unlock_token, {:unique=>true})
#   -- add_index(:users, :unlock_token, {:unique=>true})
#   rake aborted!
  
end
