# This migration is the same as 20240917095306_add_mitre_to_rule
# We dont remove this one to not break current installations
class AddMitreToRule < ActiveRecord::Migration[5.0]
  def change
    if table_exists?(:rules)
      unless column_exists?(:rules, :mitre_tactic_id)
        add_column :rules, :mitre_tactic_id, :string
      end
      unless column_exists?(:rules, :mitre_technique_id)
        add_column :rules, :mitre_technique_id, :string
      end
    end
  end
end