class CreatePlaybookAssignmentRulesConditions < ActiveRecord::Migration[5.0]
  def change
    create_table :playbook_assignment_rules_conditions do |t|
      t.references :playbook_assignment_rule, null: false, foreign_key: { on_delete: :cascade }, index: { name: 'index_assignment_conditions_on_rule_id' }
      t.string :property, null: false
      t.string :sub_property, null: false
      t.string :operation, null: false
      t.string :value, null: false

      t.timestamps
    end
  end
end
