#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class AddFieldsToOutliers < ActiveRecord::Migration[5.0]
  def change
    add_column :outliers, :sensor_name, :string
    add_column :outliers, :sensor_uuid, :string
    add_column :outliers, :priority, :string, default: "high"
    add_column :outliers, :observables, :jsonb, default: []
    add_column :outliers, :lan_ip_regex, :string
    add_column :outliers, :wan_ip_regex, :string
    add_column :outliers, :range, :string
    add_column :outliers, :timestamp, :datetime, default: -> { 'CURRENT_TIMESTAMP' }, null: false
  end
end
