class CreateThreatIntelSources < ActiveRecord::Migration[5.0]
  def change
    create_table :threat_intel_sources do |t|
      t.string :name
      t.string :description
      t.string :url
      t.string :host
      t.integer :port
      t.string :user
      t.string :path
      t.boolean :anonymous
      t.boolean :enable
      t.string :threat_src_type
      t.references :threat_conn_types

      t.timestamps
    end
  end
end
