ProtocolObject.find_or_create_by(name: 'ip', value: '0', comment: 'internet protocol, pseudo protocol number')
ProtocolObject.find_or_create_by(name: 'icmp', value: '1', comment: 'internet control message protocol')
ProtocolObject.find_or_create_by(name: 'igmp', value: '2', comment: 'internet group management protocol')
ProtocolObject.find_or_create_by(name: 'ggp', value: '3', comment: 'gateway-gateway protocol')
ProtocolObject.find_or_create_by(name: 'ipencap', value: '4', comment: 'IP encapsulated in IP')
ProtocolObject.find_or_create_by(name: 'st2', value: '5', comment: 'ST2 datagram mode (RFC 1819)')
ProtocolObject.find_or_create_by(name: 'tcp', value: '6', comment: 'transmission control protocol')
ProtocolObject.find_or_create_by(name: 'cbt', value: '7', comment: 'CBT, Tony Ballardie <A.Ballardie@cs.ucl.ac.uk>')
ProtocolObject.find_or_create_by(name: 'egp', value: '8', comment: 'exterior gateway protocol')
ProtocolObject.find_or_create_by(name: 'igp', value: '9', comment: 'any private interior gateway (Cisco: for IGRP)')
ProtocolObject.find_or_create_by(name: 'bbn-rcc', value: '10', comment: 'BBN RCC Monitoring')
ProtocolObject.find_or_create_by(name: 'nvp', value: '11', comment: 'Network Voice Protocol')
ProtocolObject.find_or_create_by(name: 'pup', value: '12', comment: 'PARC universal packet protocol')
ProtocolObject.find_or_create_by(name: 'argus', value: '13', comment: 'ARGUS')
ProtocolObject.find_or_create_by(name: 'emcon', value: '14', comment: 'EMCON')
ProtocolObject.find_or_create_by(name: 'xnet', value: '15', comment: 'Cross Net Debugger')
ProtocolObject.find_or_create_by(name: 'chaos', value: '16', comment: 'Chaos')
ProtocolObject.find_or_create_by(name: 'udp', value: '17', comment: 'user datagram protocol')
ProtocolObject.find_or_create_by(name: 'mux', value: '18', comment: 'Multiplexing protocol')
ProtocolObject.find_or_create_by(name: 'dcn', value: '19', comment: 'DCN Measurement Subsystems')
ProtocolObject.find_or_create_by(name: 'hmp', value: '20', comment: 'host monitoring protocol')
ProtocolObject.find_or_create_by(name: 'prm', value: '21', comment: 'packet radio measurement protocol')
ProtocolObject.find_or_create_by(name: 'xns-idp', value: '22', comment: 'Xerox NS IDP')
ProtocolObject.find_or_create_by(name: 'trunk-1', value: '23', comment: 'Trunk-1')
ProtocolObject.find_or_create_by(name: 'trunk-2', value: '24', comment: 'Trunk-2')
ProtocolObject.find_or_create_by(name: 'leaf-1', value: '25', comment: 'Leaf-1')
ProtocolObject.find_or_create_by(name: 'leaf-2', value: '26', comment: 'Leaf-2')
ProtocolObject.find_or_create_by(name: 'rdp', value: '27', comment: '"reliable datagram" protocol')
ProtocolObject.find_or_create_by(name: 'irtp', value: '28', comment: 'Internet Reliable Transaction Protocol')
ProtocolObject.find_or_create_by(name: 'iso-tp4', value: '29', comment: 'ISO Transport Protocol Class 4')
ProtocolObject.find_or_create_by(name: 'netblt', value: '30', comment: 'Bulk Data Transfer Protocol')
ProtocolObject.find_or_create_by(name: 'mfe-nsp', value: '31', comment: 'MFE Network Services Protocol')
ProtocolObject.find_or_create_by(name: 'merit-inp', value: '32', comment: 'MERIT Internodal Protocol')
ProtocolObject.find_or_create_by(name: 'sep', value: '33', comment: 'Sequential Exchange Protocol')
ProtocolObject.find_or_create_by(name: '3pc', value: '34', comment: 'Third Party Connect Protocol')
ProtocolObject.find_or_create_by(name: 'idpr', value: '35', comment: 'Inter-Domain Policy Routing Protocol')
ProtocolObject.find_or_create_by(name: 'xtp', value: '36', comment: 'Xpress Tranfer Protocol')
ProtocolObject.find_or_create_by(name: 'ddp', value: '37', comment: 'Datagram Delivery Protocol')
ProtocolObject.find_or_create_by(name: 'idpr-cmtp', value: '38', comment: 'IDPR Control Message Transport Proto')
ProtocolObject.find_or_create_by(name: 'tp', value: '39', comment: 'TP++ Transport Protocol')
ProtocolObject.find_or_create_by(name: 'il', value: '40', comment: 'IL Transport Protocol')
ProtocolObject.find_or_create_by(name: 'ipv6', value: '41', comment: 'ipv6')
ProtocolObject.find_or_create_by(name: 'sdrp', value: '42', comment: 'Source Demand Routing Protocol')
ProtocolObject.find_or_create_by(name: 'ipv6-route', value: '43', comment: 'routing header for ipv6')
ProtocolObject.find_or_create_by(name: 'ipv6-frag', value: '44', comment: 'fragment header for ipv6')
ProtocolObject.find_or_create_by(name: 'idrp', value: '45', comment: 'Inter-Domain Routing Protocol')
ProtocolObject.find_or_create_by(name: 'rsvp', value: '46', comment: 'Resource ReSerVation Protocol')
ProtocolObject.find_or_create_by(name: 'gre', value: '47', comment: 'Generic Routing Encapsulation')
ProtocolObject.find_or_create_by(name: 'mhrp', value: '48', comment: 'Mobile Host Routing Protocol')
ProtocolObject.find_or_create_by(name: 'bna', value: '49', comment: 'BNA')
ProtocolObject.find_or_create_by(name: 'esp', value: '50', comment: 'encapsulating security payload')
ProtocolObject.find_or_create_by(name: 'ah', value: '51', comment: 'authentication header')
ProtocolObject.find_or_create_by(name: 'i-nlsp', value: '52', comment: 'Integrated Net Layer Security TUBA')
ProtocolObject.find_or_create_by(name: 'swipe', value: '53', comment: 'IP with Encryption')
ProtocolObject.find_or_create_by(name: 'narp', value: '54', comment: 'NBMA Address Resolution Protocol')
ProtocolObject.find_or_create_by(name: 'mobile', value: '55', comment: 'IP Mobility')
ProtocolObject.find_or_create_by(name: 'tlsp', value: '56', comment: 'Transport Layer Security Protocol')
ProtocolObject.find_or_create_by(name: 'skip', value: '57', comment: 'SKIP')
ProtocolObject.find_or_create_by(name: 'ipv6-icmp', value: '58', comment: 'ICMP for IPv6')
ProtocolObject.find_or_create_by(name: 'ipv6-nonxt', value: '59', comment: 'no next header for ipv6')
ProtocolObject.find_or_create_by(name: 'ipv6-opts', value: '60', comment: 'destination options for ipv6')
ProtocolObject.find_or_create_by(name: 'cftp', value: '62', comment: 'CFTP')
ProtocolObject.find_or_create_by(name: 'sat-expak', value: '64', comment: 'SATNET and Backroom EXPAK')
ProtocolObject.find_or_create_by(name: 'kryptolan', value: '65', comment: 'Kryptolan')
ProtocolObject.find_or_create_by(name: 'rvd', value: '66', comment: 'MIT Remote Virtual Disk Protocol')
ProtocolObject.find_or_create_by(name: 'ippc', value: '67', comment: 'Internet Pluribus Packet Core')
ProtocolObject.find_or_create_by(name: 'sat-mon', value: '69', comment: 'SATNET Monitoring')
ProtocolObject.find_or_create_by(name: 'visa', value: '70', comment: 'VISA Protocol')
ProtocolObject.find_or_create_by(name: 'ipcv', value: '71', comment: 'Internet Packet Core Utility')
ProtocolObject.find_or_create_by(name: 'cpnx', value: '72', comment: 'Computer Protocol Network Executive')
ProtocolObject.find_or_create_by(name: 'cphb', value: '73', comment: 'Computer Protocol Heart Beat')
ProtocolObject.find_or_create_by(name: 'wsn', value: '74', comment: 'Wang Span Network')
ProtocolObject.find_or_create_by(name: 'pvp', value: '75', comment: 'Packet Video Protocol')
ProtocolObject.find_or_create_by(name: 'br-sat-mon', value: '76', comment: 'Backroom SATNET Monitoring')
ProtocolObject.find_or_create_by(name: 'sun-nd', value: '77', comment: 'SUN ND PROTOCOL-Temporary')
ProtocolObject.find_or_create_by(name: 'wb-mon', value: '78', comment: 'WIDEBAND Monitoring')
ProtocolObject.find_or_create_by(name: 'wb-expak', value: '79', comment: 'WIDEBAND EXPAK')
ProtocolObject.find_or_create_by(name: 'iso-ip', value: '80', comment: 'ISO Internet Protocol')
ProtocolObject.find_or_create_by(name: 'vmtp', value: '81', comment: 'Versatile Message Transport')
ProtocolObject.find_or_create_by(name: 'secure-vmtp', value: '82', comment: 'SECURE-VMTP')
ProtocolObject.find_or_create_by(name: 'vines', value: '83', comment: 'VINES')
ProtocolObject.find_or_create_by(name: 'ttp', value: '84', comment: 'TTP')
ProtocolObject.find_or_create_by(name: 'nsfnet-igp', value: '85', comment: 'NSFNET-IGP')
ProtocolObject.find_or_create_by(name: 'dgp', value: '86', comment: 'Dissimilar Gateway Protocol')
ProtocolObject.find_or_create_by(name: 'tcf', value: '87', comment: 'TCF')
ProtocolObject.find_or_create_by(name: 'eigrp', value: '88', comment: 'Enhanced Interior Routing Protocol (Cisco)')
ProtocolObject.find_or_create_by(name: 'ospf', value: '89', comment: 'Open Shortest Path First IGP')
ProtocolObject.find_or_create_by(name: 'sprite-rpc', value: '90', comment: 'Sprite RPC Protocol')
ProtocolObject.find_or_create_by(name: 'larp', value: '91', comment: 'Locus Address Resolution Protocol')
ProtocolObject.find_or_create_by(name: 'mtp', value: '92', comment: 'Multicast Transport Protocol')
ProtocolObject.find_or_create_by(name: 'ax.25', value: '93', comment: 'AX.25 Frames')
ProtocolObject.find_or_create_by(name: 'ipip', value: '94', comment: 'Yet Another IP encapsulation')
ProtocolObject.find_or_create_by(name: 'micp', value: '95', comment: 'Mobile Internetworking Control Pro.')
ProtocolObject.find_or_create_by(name: 'scc-sp', value: '96', comment: 'Semaphore Communications Sec. Pro.')
ProtocolObject.find_or_create_by(name: 'etherip', value: '97', comment: 'Ethernet-within-IP Encapsulation')
ProtocolObject.find_or_create_by(name: 'encap', value: '98', comment: 'Yet Another IP encapsulation')
ProtocolObject.find_or_create_by(name: 'gmtp', value: '100', comment: 'GMTP')
ProtocolObject.find_or_create_by(name: 'ifmp', value: '101', comment: 'Ipsilon Flow Management Protocol')
ProtocolObject.find_or_create_by(name: 'pnni', value: '102', comment: 'PNNI over IP')
ProtocolObject.find_or_create_by(name: 'pim', value: '103', comment: 'Protocol Independent Multicast')
ProtocolObject.find_or_create_by(name: 'aris', value: '104', comment: 'ARIS')
ProtocolObject.find_or_create_by(name: 'scps', value: '105', comment: 'SCPS')
ProtocolObject.find_or_create_by(name: 'qnx', value: '106', comment: 'QNX')
ProtocolObject.find_or_create_by(name: 'a/n', value: '107', comment: 'Active Networks')
ProtocolObject.find_or_create_by(name: 'ipcomp', value: '108', comment: 'IP Payload Compression Protocol')
ProtocolObject.find_or_create_by(name: 'snp', value: '109', comment: 'Sitara Networks Protocol')
ProtocolObject.find_or_create_by(name: 'compaq-peer', value: '110', comment: 'Compaq Peer Protocol')
ProtocolObject.find_or_create_by(name: 'ipx-in-ip', value: '111', comment: 'IPX in IP')
ProtocolObject.find_or_create_by(name: 'vrrp', value: '112', comment: 'Virtual Router Redundancy Protocol')
ProtocolObject.find_or_create_by(name: 'pgm', value: '113', comment: 'PGM Reliable Transport Protocol')
ProtocolObject.find_or_create_by(name: 'l2tp', value: '115', comment: 'Layer Two Tunneling Protocol')
ProtocolObject.find_or_create_by(name: 'ddx', value: '116', comment: 'D-II Data Exchange')
ProtocolObject.find_or_create_by(name: 'iatp', value: '117', comment: 'Interactive Agent Transfer Protocol')
ProtocolObject.find_or_create_by(name: 'st', value: '118', comment: 'Schedule Transfer')
ProtocolObject.find_or_create_by(name: 'srp', value: '119', comment: 'SpectraLink Radio Protocol')
ProtocolObject.find_or_create_by(name: 'uti', value: '120', comment: 'UTI')
ProtocolObject.find_or_create_by(name: 'smp', value: '121', comment: 'Simple Message Protocol')
ProtocolObject.find_or_create_by(name: 'sm', value: '122', comment: 'SM')
ProtocolObject.find_or_create_by(name: 'ptp', value: '123', comment: 'Performance Transparency Protocol')
ProtocolObject.find_or_create_by(name: 'isis', value: '124', comment: 'ISIS over IPv4')
ProtocolObject.find_or_create_by(name: 'fire', value: '125', comment: '')
ProtocolObject.find_or_create_by(name: 'crtp', value: '126', comment: 'Combat Radio Transport Protocol')
ProtocolObject.find_or_create_by(name: 'crudp', value: '127', comment: 'Combat Radio User Datagram')
ProtocolObject.find_or_create_by(name: 'sscopmce', value: '128', comment: '')
ProtocolObject.find_or_create_by(name: 'iplt', value: '129', comment: '')
ProtocolObject.find_or_create_by(name: 'sps', value: '130', comment: 'Secure Packet Shield')
ProtocolObject.find_or_create_by(name: 'pipe', value: '131', comment: 'Private IP Encapsulation within IP')
ProtocolObject.find_or_create_by(name: 'sctp', value: '132', comment: 'Stream Control Transmission Protocol')
ProtocolObject.find_or_create_by(name: 'fc', value: '133', comment: 'Fibre Channel')
ProtocolObject.find_or_create_by(name: 'experimental', value: '254', comment: 'Experimental')
ProtocolObject.find_or_create_by(name: 'reserved', value: '255', comment: 'Reserved')
