module RedBorder
  module AlarmApState
    def self.included(base)
      base.extend(ClassMethods)
      base.send(:include, InstanceMethods)

      base.class_eval do
      end
    end

    module ClassMethods
    end

    module InstanceMethods
      def units_ap_state(limit, aggregation)
        case send limit
        when 0 then aggregation
        when 3 then 'K' + aggregation
        when 6 then 'M' + aggregation
        when 9 then 'G' + aggregation
        end
      end
    end
  end
end

Alarm.send(:include, RedBorder::AlarmApState)
