user = User.find_by(admin: true, sensor: Sensor.root) || User.find_by(admin: true) ||
       User.first

correlation_engine_rules = YAML.load(File.read("#{Rails.root}/lib/modules/correlation_engine_rule/db/cep_rules.yaml"))

correlation_engine_rules.each do |fields|
  correlation_engine_rule = CorrelationEngineRule.find_by(name: fields["name"])

  if correlation_engine_rule
    correlation_engine_rule.update(fields)
  else
    CorrelationEngineRule.create(fields.merge(enabled: false, user_id: user.id))
  end
end
