$.blockUI();
var step = <%= Redborder::Rbdruid::GRANULARITY_TYPE[params[:granularity].to_sym][:step] %>;
var zoomable = ($(window).width() > 750);

// Remove active element
$('.ranges.menus').find('.active').removeClass('active');
// Set the new one
$('.<%= params[:range] %>').addClass('active');

// Delete the graph
$('#graph_aps_status').html('');
// And add it again
var aps_status = new RB.Serie({
  container: "graph_aps_status",
  width: $('article').width() / 2,
  autoscaling: true,
  step: step,
  predict_area: true,
  zoomable: zoomable,
  domain: [<%= params[:start_time].to_i %>, <%= params[:end_time].to_i %> - step / 1000],
  onZoomEvent: function () {
    $('.custom_domain').css("display", "");
    $('.custom_domain').attr("data", 'graph_aps_status');
  },
  onZoomResetEvent: function () {
    $('.custom_domain').css("display", "none");
  }
});

var data = JSON.parse("<%= escape_javascript @serie.to_json.html_safe %>");
aps_status.add({ data: data, name: "Total APs", type: "line" });
$.unblockUI();