require 'test_helper'
require 'test/unit'
require 'mocha/test_unit'

#
# Check the sessions.
#
class TopsTest < ActionDispatch::IntegrationTest
  # To login users
  include Warden::Test::Helpers
  Warden.test_mode!

  context 'On Flow tops view' do
    # Get first user
    setup do
      @admin = users(:admin)
      # Login him
      login_as(@admin, scope: :user)
      # Mock
      client = DruidStub.new
      Druid::Client.stubs(:new).returns(client)
    end

    should 'display it' do
      visit '/flow/tops'
      code_200?
    end

    should 'display general info table' do
      visit '/flow/tops'
      code_200?
      # Check general info
      check_general_info_tops(page)
    end

    # Add a tab
    # should 'add a tab on Flow module' do
    #   visit '/flow/tops'
    #   # This will add client mac to tabs
    #   wait_for_ajax(page)
    #   # Need to use js beacuse this element is hidden
    #   page.evaluate_script('$("ul.navbar-buttons a#client_mac").click()')
    #   page.save_screenshot('shots/flow_tops.png')
    #   # Check if the UI is blocked
    #   ui_blocked?(page)
    #   wait_for_ajax(page)
    #   # Check if the tab is added
    #   assert(find('ul.nav-tabs .tab-pane.active').text == 'Client',
    #          'The tab must be added when click on the item')
    # end
  end
end
