#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateRuleDbVersions < ActiveRecord::Migration
  def change
    create_table :rule_db_versions do |t|
      t.boolean :completed, default: false
      t.integer :rules_count, default: 0
      t.integer :rules_new_count, default: 0
      t.integer :rules_modified_count, default: 0
      t.integer :rules_deprecated_count, default: 0
      t.text :unicode_map
      t.boolean :is_deleted, default: false
      t.attachment :so_rules

      t.timestamps
    end
  end
end
