/*!    
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

redBorder.widgets.unitsHandlers.monitor = function (widget) {
  var product = widget.property.product_type,
      category = widget.property.category;
      
  return redBorder.modules[product].tabs[category].units;
}

function widget_product_type_monitor(){
  rule = new SearchMonitor(search_hash);
  sensors_html = Handlebars.templates['select']({
    name: "sensors-select",
    width: "100%",
    multiple: false,
    data: search_hash["monitor_sensors"]
  });
}