###############################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
###############################################################################

class CreateMonitorCategories < ActiveRecord::Migration
  def change
    create_table :monitor_categories do |t|
      t.string :name
      t.text :description
      t.string :technology
      t.string :category
      t.string :main_category
      t.integer :impact, default: 1
      t.text :operation
      t.string :sensor_types
      t.boolean :default, default: false

      t.timestamps
    end
  end
end
