require 'test_helper'

#
# Test sensors controller
#
class MonitorCategoriesControllerTest < ActionController::TestCase
  include Warden::Test::Helpers
  Warden.test_mode!

  context 'an organization user' do
    setup do
      @user = users(:admin_domain)
      @root = sensors(:root)
      sign_in @user
    end

    should 'not access root\'s monitor' do
      get :index, sensor_id: @root.id
      assert_response :not_found
    end
  end
end
