#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

module ProfilesHelper

    def profile_options(profile, sensor=nil)
      content_tag :div, class: "btn-group" do
  
        list_1 = ""
  
        if profile.running?
          list_1 += link_to content_tag(:i, nil, class: "fa fa-list"), "#", class: "btn disabled"
        else
          list_1 += link_to content_tag(:i, nil, class: "fa fa-list"), "#", class: "btn dropdown-toggle", "data-toggle" => "dropdown"
          list_1 += content_tag :ul, class: "dropdown-menu" do
            list_2 = ""
  
            if can? :manage, profile.owner
              list_2 += content_tag(:li, link_to("Edit", edit_sensor_profile_path(profile.owner, profile), 'data-toggle' => "modal", 'data-target' => "#edit_profile_modal", "data-backdrop" => "static"))
            end

            if sensor and can? :manage, sensor
              list_2 += content_tag(:li, link_to("Clone", clone_sensor_profile_path(sensor, profile), method: :post))
            end
    
            list_2.html_safe
  
          end
        end
  
        list_1.html_safe
  
      end
    end
  
  end
  