# #######################################################################
# # Copyright (c) 2014 ENEO Tecnologia S.L.
# # This file is part of redBorder.
# # redBorder is free software: you can redistribute it and/or modify
# # it under the terms of the GNU Affero General Public License as published by
# # the Free Software Foundation, either version 3 of the License, or
# # (at your option) any later version.
# # redBorder is distributed in the hope that it will be useful,
# # but WITHOUT ANY WARRANTY; without even the implied warranty of
# # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# # GNU Affero General Public License for more details.
# # You should have received a copy of the GNU Affero General Public License
# # along with redBorder. If not, see <http://www.gnu.org/licenses/>.
# #######################################################################

# module Redborder #:nodoc:
#   module As #:nodoc:
#     #
#     # Base class to connect/close connections and perform queries.
#     #
#     class Base
#       # Include Aerospike base gem
#       include Aerospike
#       # Include modules of Redborder::Aerospike
#       include Redborder::As::Cache
#       include Redborder::As::Format
#       include Redborder::As::Log
#       include Redborder::As::Order
#       include Redborder::As::Limit
#       include Redborder::As::Query

#       # Variables
#       attr_reader :aero_result, :order_column, :direction, :client,
#                   :allowed_columns

#       # ---------------------------------------------
#       # Connection
#       # ---------------------------------------------

#       #
#       # Connect to aerospike client
#       #
#       # == Returns:
#       # Aerospike client instance
#       #
#       def connect
#         # Cache client
#         return @client if @client
#         # Read connection from config
#         server = RedBorder::AEROSPIKE_CONFIG[:servers].sample.split(':')
#         timeout = RedBorder::AEROSPIKE_CONFIG[:timeout]
#         # Initialize client
#         @client = Client.new(server.first, server.last.to_i, timeout: timeout)
#         @client
#       end

#       #
#       # Update the set to allow multiple queries with same connection
#       #
#       # == Parameters:
#       # set::
#       #   String with new set
#       #
#       # == Returns:
#       # Self object
#       #
#       def update_set(set)
#         @collection = set
#         self
#       end

#       #
#       # Close current aerospike instance
#       #
#       def close
#         return unless @client
#         @client.close
#         # Forcer to reconnect
#         @client = nil
#       end
#     end
#   end
# end
