# ######################################################################
# # Copyright (c) 2014 ENEO Tecnologia S.L.
# # This file is part of redBorder.
# # redBorder is free software: you can redistribute it and/or modify
# # it under the terms of the GNU Affero General Public License as published by
# # the Free Software Foundation, either version 3 of the License, or
# # (at your option) any later version.
# # redBorder is distributed in the hope that it will be useful,
# # but WITHOUT ANY WARRANTY; without even the implied warranty of
# # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# # GNU Affero General Public License for more details.
# # You should have received a copy of the GNU Affero General Public License
# # along with redBorder. If not, see <http://www.gnu.org/licenses/>.
# #######################################################################

# module Redborder #:nodoc:
#   module As #:nodoc:
#     #
#     # Module to set the format of values returned by Aerospike
#     #
#     module Format
#       #
#       # Get all the data returned by a query in raw. We create a new array
#       # to allow multiples iterations.
#       #
#       # == Returns:
#       # An array of records
#       #
#       def raw
#         return '' if @aero_result.nil?
#         # Perform order and limit
#         @aero_result = perform_order(@aero_result) if @order_column
#         @aero_result = perform_limit(@aero_result)
#         # Return the records
#         @aero_result
#       end
#     end
#   end
# end
