# #######################################################################
# # Copyright (c) 2014 ENEO Tecnologia S.L.
# # This file is part of redBorder.
# # redBorder is free software: you can redistribute it and/or modify
# # it under the terms of the GNU Affero General Public License as published by
# # the Free Software Foundation, either version 3 of the License, or
# # (at your option) any later version.
# # redBorder is distributed in the hope that it will be useful,
# # but WITHOUT ANY WARRANTY; without even the implied warranty of
# # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# # GNU Affero General Public License for more details.
# # You should have received a copy of the GNU Affero General Public License
# # along with redBorder. If not, see <http://www.gnu.org/licenses/>.
# #######################################################################

# module Redborder #:nodoc:
#   module As #:nodoc:
#     #
#     # Module to set a limit to returned values of Aerospike
#     #
#     module Limit
#       #
#       # Set a limit to the next query
#       #
#       # == Parameters:
#       # limit::
#       #   number of elements to return
#       #
#       # == Returns:
#       # Self instance to return data
#       #
#       def limit(limit)
#         @limit = limit
#         self
#       end

#       #
#       # Perform a limit to a set of results
#       #
#       # == Parameters:
#       # result::
#       #   Set of elements
#       #
#       # == Returns:
#       # Limited result.
#       #
#       def perform_limit(result)
#         return result unless @limit && result.is_a?(Array)
#         result = result.first(@limit)
#         clear_limit
#         result
#       end

#       #
#       # Clear limit
#       #
#       def clear_limit
#         @limit = nil
#       end
#     end
#   end
# end
