# #######################################################################
# # Copyright (c) 2014 ENEO Tecnologia S.L.
# # This file is part of redBorder.
# # redBorder is free software: you can redistribute it and/or modify
# # it under the terms of the GNU Affero General Public License as published by
# # the Free Software Foundation, either version 3 of the License, or
# # (at your option) any later version.
# # redBorder is distributed in the hope that it will be useful,
# # but WITHOUT ANY WARRANTY; without even the implied warranty of
# # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# # GNU Affero General Public License for more details.
# # You should have received a copy of the GNU Affero General Public License
# # along with redBorder. If not, see <http://www.gnu.org/licenses/>.
# #######################################################################

# module Redborder #:nodoc:
#   module As #:nodoc:
#     #
#     # Order Aerospike queries
#     #
#     module Order
#       #
#       # Set an order to the next query
#       #
#       # == Parameters:
#       # column::
#       #   Column to order
#       # direction::
#       #   (optional) Symbol, :asc or :desc
#       #
#       # == Returns:
#       # Self instance to return data with format
#       #
#       def order(column, direction = :asc)
#         @order_column = column
#         @direction = direction
#         self
#       end

#       #
#       # Perform an order of a set of elements
#       #
#       # == Parameters:
#       # result::
#       #   Set of elements
#       #
#       # == Returns:
#       # Ordered result.
#       #
#       def perform_order(result)
#         # We can't order an unique element
#         return result unless result.is_a?(Array)
#         # Sort elements
#         result = result.sort_by { |row| row[@order_column] || 0 }
#         # Clear and return
#         result = @direction == :asc ? result : result.reverse
#         clear_order
#         result
#       end

#       #
#       # Clear las order
#       #
#       def clear_order
#         @order_column = nil
#         @direction = nil
#       end
#     end
#   end
# end
