#
# Class to Stub clients on Aerospike
#
class AerospikeClientStub
  # Include Aerospike to create a Record
  include Aerospike

  # Data to return
  attr_reader :data

  #
  # Initialize the data will be returned on query/get
  #
  def initialize(data)
    @data = data
  end

  #
  # Get data from a key
  #
  def get(_)
    Aerospike::Record.new(nil, nil, data, nil, nil)
  end
end
