require 'test_helper'

class PieTest < ActiveSupport::TestCase
  context 'a user' do
    setup do
      @admin = users(:admin)
      @dashboard = dashboards(:admin_default)
    end

    should 'create a pie widget' do
      assert Widget.new(name: 'pie_widget', parent: @dashboard,
                        property: {
                          widget_type: 'top',
                          product_type: 'flow',
                          graph_type: 'pie',
                          elements: '5',
                          full_legend: '0',
                          range: 'last_5_minute',
                          column: 'application_id_name',
                          aggregation: 'bps'
                        }).valid?
    end
  end
end
